2005-11-29  Jeffrey Altman <jaltman@mit.edu>

	* Makefile.in: add src/windows/kfwlogon tree

2005-09-08  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (AC_LIBRARY_NET): Check for a few more libresolv
	functions.

2005-07-19  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (AC_LIBRARY_NET): Special-case AIX 5.x due to broken
	res_ninit(), or more precisely, incorrect size of struct
	__res_state.

2005-03-25  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't check for getpwnam_r and getpwuid_r in the
	thread-safety warnings.  The tests done elsewhere in the tree are
	stricter and may not agree.

2005-01-12  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (AC_LIBRARY_NET): Also check for res_ndestroy.

2004-12-16  Ezra Peisach  <epeisach@bu.edu>

	* krb5-config.in: Add krb5support library.

2004-12-15  Jeffrey Altman <jaltman@mit.edu>

        * Makefile.in: build/clean/install/etc kcpytkt,kdeltkt,ms2mit

2004-11-19  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_AC_PRIOCNTL_HACK): Check for Solaris patch
	117171-11 (sparc) or 117172-11 (x86), which fixes the Solaris 9
	bug which can cause final pty output to be on close.

2004-11-18  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (install-headers-mkdirs): Create KRB5_INCDIR/gssrpc.

2004-10-06  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (INSTALLMKDIRS): Add EXAMPLEDIR.

2004-10-05  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_ENABLE_THREADS): On HP-UX, define some
	preprocessor symbols that -pthread defines, but don't use -pthread
	so we can avoid forcing linking against pthread libraries.

2004-09-24  Tom Yu  <tlyu@mit.edu>

	* configure.in: Update to get RELTAIL from patchlevel.h as well.

	* patchlevel.h: Update to make this the master version stamp file.

2004-09-22  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL_FIND_CONFIG): If the config info set by
	tclConfig.sh doesn't produce a working executable, set TCL_LIBS to
	be empty explicitly.
	(KRB5_BUILD_LIBRARY_WITH_DEPS): Substitute SHLIB_EXPORT_FILE_DEP.

2004-09-22  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_AC_LIBUTIL): New macro to check for libutil.
	
	* aclocal.m4 (WITH_CC): Check for GNU linker.

2004-09-21  Tom Yu  <tlyu@mit.edu>

	* alcocal.m4 (AC_LIBRARY_NET): Additionally, check ns_initparse,
	since Linux prototypes it but doesn't export it.

2004-09-21  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_AC_NEED_BIND_8_COMPAT): Remove.
	(AC_LIBRARY_NET): Remove KRB5_AC_NEED_BIND_8_COMPAT.  Call
	_KRB5_AC_CHECK_RES_FUNCS to check declarations and linkability of
	vairous resolver functions.  Explicitly check linkability of
	res_search() in case it's not explicitly declared.
	(_KRB5_AC_CHECK_RES_FUNCS, _KRB5_AC_CHECK_RES_FUNC): New
	functions.  Check resolver library function prototypes and
	linkability.

2004-09-17  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (install-unix): Use $(INSTALL_SCRIPT) for scripts.

	* aclocal.m4 (AC_LIBRARY_NET): Look for res_search() prototype,
	then for symbol in library, in case there's symbol renaming
	happening in the headers.  Clean up some style nits.

2004-09-15  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (AC_LIBRARY_NET): Only look for res_search() in
	libraries, not headers, in case it's present but not prototyped.

2004-09-14  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (AC_LIBRARY_NET): Require the BIND_8_COMPAT check
	prior to looking for prototypes, as BIND 9 (at least on Panther)
	turns off some prototypes and typedefs if BIND_8_COMPAT is
	defined.

2004-09-13  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Fix check for resolv.h; some platforms have
	prerequisite headers.

2004-09-08  Sam Hartman  <hartmans@krbdev-linux.mit.edu>

	* aclocal.m4 : Remove use of resolv_lib; none of the makefiles
	actually use it and if we don't set it we can simplify the DNS
	tests significantly.   If the -lresolv library exists we use it.
	This may create a bit of a problem for people with nsswitch
	configurations that don't prefer dns.  We include resolv.h before
	checking for res_*.

2004-09-08  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Install krb5-config manpage.

2004-09-07  Alexandra Ellwood  <lxs@mit.edu>

	* krb5-config.M: Added a man page for krb5-config.

2004-08-24  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't test for pthread_rwlock_init.

	* aclocal.m4 (KRB5_AC_PRAGMA_WEAK_REF): Fix to work with AIX
	compiler when optimizing.

2004-08-18  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_ENABLE_THREADS): Check for
	pthread_rwlock_init, with and without the thread library.

2004-08-08  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_ENABLE_THREADS): On AIX and OSF/1, always
	add $PTHREAD_CFLAGS to CFLAGS for use in later tests.  Clear
	PTHREAD_CFLAGS and PTHREAD_LIBS to avoid duplicating the options
	later.
	(WITH_CC): If on AIX and not using gcc, add -qhalt=e and -O to
	CFLAGS if similar options are not already present.  Log messages
	when doing so.

2004-07-16  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_INET6, KRB5_AC_CHECK_SOCKADDR_STORAGE,
	KRB5_AC_CHECK_INET6): Don't check for macsock.h.

2004-07-12  Ken Raeburn  <raeburn@mit.edu>

	* krb5-config.in: Substitute $(PTHREAD_CFLAGS).

2004-07-11  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_ENABLE_THREADS): Use PTHREAD_CFLAGS and
	PTHREAD_LIBS when checking for pthread_mutexattr_setrobust_np
	availability with thread support enabled.  Fix typo that caused
	some code to be omitted.

2004-07-09  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_ENABLE_THREADS): Don't test for pthread.h
	specifically.  Always include the thread library on Tru64 UNIX.
	(KRB5_AC_CHECK_INET6): If the first test fails, try adding -DINET6
	and test again; if it works, define INET6 for the build.

2004-07-08  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_ENABLE_THREADS): Default to enabling
	support.

2004-07-06  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Fix bug in last change that caused a variable to
	be used before set.  Check for pthread_rwlock_init.

2004-07-04  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (AC_LIBRARY_NET): Look for res_nsearch.
	* configure.in: If thread support is enabled and res_nsearch
	isn't found, issue a warning.

2004-06-18  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (WITH_CC): Use -Wl,-search_paths_first for linking on
	Darwin.
	(KRB5_AC_ENABLE_THREADS): On AIX, add PTHREAD_LIBS to LIBS; don't
	do it on other platforms.  Override CC with PTHREAD_CC only if CC
	is not gcc.  Don't add PTHREAD_CFLAGS to CFLAGS; substitute
	PTHREAD_CFLAGS separately.

	* Makefile.in (all-windows): Make autoconf.h in include\krb5
	before building anything else.
	(WINMAKEFILES): Add util\support\Makefile.
	(util\support\Makefile) [DOS]: New target.
	(CE): New variable.
	($(CE)test1.h, $(CE)test2.h, $(CE)test1.c, $(CE)test2.c): New
	targets.

2004-06-16  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MACFILES, MAC_SUBDIRS): Don't set.
	(macfile.list, mac-bin-dirs, krbsrc.mac.tar, Macfile, all-mac,
	clean-mac): Target deleted.
	(CLEANUP): Remove macfile.list.

2004-06-08  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (CONFIG_RULES): Don't set AUTOCONF, AUTOCONFFLAGS,
	AUTOHEADER, AUTOHEADERFLAGS, AUTOCONFINCFLAGS.

2004-06-04  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_LIB_AUX): Use $(LIBBASE) instead of $(LIB).

2004-06-03  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Check for various _r functions needed for thread
	safety.  If enable-thread-support is specified, complain about
	any that aren't found.

2004-05-30  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_GCC_ATTRS): On AIX 4, mark the destructor
	attribute as always not working, until we can construct a good
	test for the order of destructors in the multiple shared library
	case.

2004-05-04  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Generate a makefile in util/support.  Include
	dependency support for shared library build.

2004-04-29  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (CONFIG_RULES): Invoke KRB5_LIB_PARAMS and
	KRB5_AC_INITFINI.
	(KRB5_AC_INITFINI): New macro.  Define delayed-initialization
	config option, test for gcc constructor/destructor attribute
	support, and test whether shlib.conf indicates support for
	link-time options.
	(KRB5_AC_GCC_ATTRS): Implement.
	(CONFIG_RULES): Substitute EXTRA_FILES into pre.in.

2004-04-26  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_BUILD_LIBRARY_WITH_DEPS): Report an error if
	perl cannot be found.

2004-04-24  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_BUILD_LIBRARY_WITH_DEPS): Look for perl.
	(KRB5_AC_PRAGMA_WEAK_REF): New macro, tests support for weak
	references using "#pragma weak".
	(CONFIG_RULES): Invoke it.
	(KRB5_AC_ENABLE_THREADS): Test enableval, not withval.  If
	ACX_PTHREAD can't determine thread support options and thread
	support was requested, report an error.  Display the options
	selected by ACX_PTHREAD.  Test for pthread_once without pthread
	options, and pthread_mutexattr_setrobust_np both with and without
	pthread options.
	(KRB5_AC_GCC_ATTRS): New macro, dummy for now.

2004-04-22  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_BUILD_LIBRARY_WITH_DEPS): Substitute
	MAKE_SHLIB_COMMAND, not LDCOMBINE and LDCOMBINE_TAIL.

2004-03-23  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_MAINTAINER_MODE, KRB5_AC_ENABLE_THREADS,
	KRB5_AC_INET6, WITH_HESIOD, KRB5_LIB_AUX, KRB5_AC_CHOOSE_SS,
	KRB5_AC_CHOOSE_DB): Express defaults more consistently with other
	configure output.  Use AC_HELP_STRING.  Shorten up some messages,
	drop some options that are defaults and obvious counterparts to
	other documented options.
	(KRB5_LIB_AUX): Use default_shared and default_static from
	shlib.conf to decide whether to build shared and static libraries
	by default.  Update messages to indicate shared libraries are the
	default for most platforms now.  Use AC_MSG_NOTICE and
	AC_MSG_WARN instead of AC_MSG_RESULT when there's no "checking"
	message.

	* configure.in: Likewise.

2004-03-17  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4: Include acx_pthread.m4.
	(KRB5_AC_ENABLE_THREADS): New macro.
	(CONFIG_RULES): Invoke it.  Use AC_REQUIRE to get topdir set
	early.

2004-03-14  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (update-autoconf-h): New target.  Checks that
	include/krb5/autoconf.h is current.
	(all-prerecurse): Depend on it.

2004-03-08  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (SUBDIRS): Renamed from MY_SUBDIRS.

2004-03-07  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL_FIND_CONFIG): Look for tclConfig.sh in
	the specified directory if it's not in a "lib" subdirectory.
	(AC_KRB5_TCL): If no pathname is supplied and tclConfig.sh isn't
	found in /usr/lib, try running a script under tclsh to see if it
	can supply the pathname for tclConfig.sh.

2004-03-05  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Integrate config commands from kdc, krb524, and
	slave directories.  Don't configure those directories; generate
	their makefiles directly.  Use AC_HELP_STRING in AC_ARG_ENABLE
	and AC_ARG_WITH messages.  Substitute @LIBUTIL@.

2004-02-25  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Configure lib/apputils, not util/apputils.

2004-02-24  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_NEED_DAEMON): Don't use AC_REPLACE_FUNCS.
	* configure.in: Configure util/apputils.

2004-02-13  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (TRY_PEER_INT): Deleted.
	(KRB5_GETPEERNAME_ARGS): Map the getpeername arg types to the
	corresponding getsockname arg types.
	(KRB5_GETSOCKNAME_ARGS): If nothing matches, assume struct
	sockaddr and socklen_t.
	(WITH_CC): Add -fno-common to CFLAGS on Darwin, unless -fcommon or
	-fno-common is already given.

2004-02-12  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_AC_PRIOCNTL_HACK): Set PRIOCNTL_HACK=1 on
	Solaris 9.

	* configure.in: Remove exitsleep.

2003-12-27  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Use AC_HELP_STRING for kdc-replay-cache option
	info, to tidy up the output.

2003-12-13  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (WITH_CC): Drop -Wno-comment, since we don't support
	SunOS 4 any longer.

2003-12-05  Tom Yu  <tlyu@mit.edu>

	* configure.in: Add support for building an LD_PRELOAD object for
	Solaris, used by util/Makefile.in.

2003-09-26  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_MAINTAINER_MODE): New macro.
	(CONFIG_RULES): Invoke it.

2003-08-29  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_NEED_DAEMON): New macro.

2003-08-26  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (WITH_CCOPTS, WITH_CPPOPTS, WITH_LINKER,
	WITH_LDOPTS, KRB5_INIT_CCOPTS, WITH_CC_DEPRECATED_ARG): Deleted.
	(CONFIG_RULES): Do the non-useless parts directly here.
	(V5_SET_TOPDIR): Work quietly.
	(WITH_KRB4): Use AC_MSG_NOTICE.
	(KRB5_AC_ENABLE_DNS): Drop --enable-dns and --enable-dns-for-kdc
	options; turn them on always.

2003-07-15  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (extra_gcc_warn_opts): Don't turn on -pedantic on
	Darwin.

2003-05-27  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (KRBHDEP): Add krb524_err header.

2003-05-24  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (WITH_KRB4): Don't set or substitute KRB524_DEPLIB,
	KRB524_LIB, KRB524_H_DEP, or KRB524_ERR_H_DEP.
	* Makefile.in (ETOUT): Update location of krb524_err files.
	(krb524/krb524_err.h, krb524/krb524_err.c): Delete.
	($(INC)krb524_err.h, $(ET)krb524_err.c): New targets.

2003-05-22  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Add -DKRB5_DEPRECATED=1 so stuff in tree builds.

2003-04-24  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4: Require autoconf 2.52 only.

2003-04-23  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4: Require autoconf 2.53.
	(CONFIG_RULES): Always set AUTOCONFINCFLAGS to --include.

2003-04-10  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Revert requrement of autoconf-2.53, since MacOS X
	doesn't have it.

2003-04-01  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_AC_CHOOSE_DB): Set new variable KDB5_DB_LIB to
	empty if using in-tree db.  It is now used to pass -ldb to link
	commands, if needed, when linking programs with libkdb5.  DB_LIB
	is now only used for programs that explicitly need the actual
	libdb independently of libkdb5.

	* krb5-config.in: Use $KDB5_DB_LIB instead of "-ldb" for kdb
	libraries.

2003-03-31  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Require autoconf-2.53, since 2.52 generates
	configure scripts that NetBSD /bin/sh doesn't like.

2003-03-18  Alexandra Ellwood  <lxs@mit.edu>

    * aclocal.m4: Define KRB5_AC_NEED_BIND_8_COMPAT to check for bind 9
    and higher.  When bind 9 is present, BIND_8_COMPAT needs to be defined to
    get bind 8 types.

2003-03-12  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (AWK): Default to awk, not gawk.  User can override
	on make's command line if necessary.  Still, only really useful
	for building kerbsrc.zip, etc.

2003-03-05  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (WINMAKEFILES): Add lib\crypto\aes\Makefile.
	(lib\crypto\aes\Makefile) [##DOS##]: New target.

2003-03-03  Tom Yu  <tlyu@mit.edu>

	* krb5-config.in (lib_flags): Prune out CFLAGS.

	* aclocal.m4: Remove KRB_INCLUDE; it's now in pre.in.  Remove
	ADD_DEF and uses thereof, thus allowing CPPFLAGS to be a user
	parameter.

2003-03-02  Sam Hartman  <hartmans@avalanche-breakdown.mit.edu>

	* aclocal.m4 : Substitute in DEPLIBEXT into krb5_build_library_with_deps

2003-02-13  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (ETOUT): Replace $(S) with "/".

2003-02-10  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (lib/krb4/krb_err_txt.c): Replace $(S) with "/" to
	avoid breakage on Windows.

2003-02-07  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Add rules for generating lib/krb4/krb_err_txt.c for
	Windows.

2003-01-14  Ezra Peisach  <epeisach@bu.edu>

	* Makefile.in (check-unix): Invoke t_krbconf instead of struggling
	with differing versions of make's quoting of \ and $.

	* t_krbconf: Small shell script to test krb5-config.

2003-01-13  Ezra Peisach  <epeisach@bu.edu>

	* Makefile.in (check-unix): Test to see if krb5-config outputs
	variables that require Makefile substitutions. 

	* krb5-config.in: Remore $(PURE) from output. Handle variables
	$(RPATH_FLAG) and $(LDFLAGS).

2003-01-10  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_BUILD_LIBRARY_WITH_DEPS): Require
	AC_PROG_ARCHIVE, AC_PROG_ARCHIVE_ADD, and AC_PROG_INSTALL.
	(KRB5_BUILD_LIBRARY): Use KRB5_BUILD_LIBRARY_WITH_DEPS instead of
	duplicating its contents.
	* configure.in: Don't explicitly invoke AC_PROG_INSTALL,
	AC_PROG_ARCHIVE, AC_PROG_ARCHIVE_ADD, AC_PROG_RANLIB.

	* aclocal.m4 (CONFIG_RULES): Substitute files for @lib_frag@ and
	@libobj_frag@ markers.
	(V5_SET_TOPDIR): Don't define krb5_append_frags.
	(KRB5_BUILD_LIBRARY, KRB5_BUILD_LIBRARY_WITH_DEPS,
	KRB5_BUILD_LIBOBJS): Don't redefine krb5_append_frags.
	(_V5_AC_OUTPUT_MAKEFILE): Don't use krb5_append_frags.
	(_K5_GEN_MAKEFILE): Don't process second argument specifying
	makefile fragments.

	* configure.in: Use V5_AC_OUTPUT_MAKEFILE instead of
	K5_GEN_MAKEFILE and K5_AC_OUTPUT.

2002-12-23  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (WITH_KRB4): Substitute some variables for generated
	krb524 and krb4 headers.

2002-12-17  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_GETSOCKNAME_ARGS, KRB5_GETPEERANME_ARGS): Check
	for socklen_t pointer as second argument.

2002-12-12  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (install-headers-prerecurse): Update to not use
	double colons.

2002-12-06  Ezra Peisach  <epeisach@bu.edu>

	* Makefile.in (clean-unix): Remove krb5-config.

2002-12-06  Ezra Peisach  <epeisach@bu.edu>

	* Makefile.in (clean-unix): Remove krb5-config

2002-12-02  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Add rules to build kadm_err.h and kadm_err.c for
	Windows.

2002-11-18  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove references to kadm_err.et for now; changes
	to move kadm_err.et to lib/krb4 haven't been commmitted yet.

2002-11-15  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove some missed references to adm_err.et.

2002-11-13  Ezra Peisach  <epeisach@bu.edu>

	* aclocal.m4 (CONFIG_RULES): Define AUTOCONFINCFLAGS as --include
	or --localdir depending on autoconf version. In autoconf 2.55
	--localdir disappears.

2002-11-12  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (tcl_lib): Add RPATH_TAIL to TCL_RPATH to handle AIX
	weirdness with "-blibpath:".

2002-11-04  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL_FIND_CONFIG): Set TCL_MAYBE_RPATH.
	(KRB5_BUILD_PROGRAM): Substitute RPATH_FLAG.

2002-10-31  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL_FIND_CONFIG): Use 'eval' when setting
	TCL_LIBS to force variable substitutions to take place.

2002-10-28  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL): If --with-tcl is given, failure to
	find a library we can use is now an error.

2002-10-11  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4: Use dnl after all AC_REQUIRE invocations.
	(CONFIG_RULES): Comment out code looking for the in-tree version
	of autoconf that we deleted.
	(WITH_CC_DEPRECATED_ARG): New macro.
	(WITH_CC): Require it, and AC_PROG_CC.
	(KRB5_AC_FORCE_STATIC): New macro.  Warn if invoked after
	KRB5_LIB_AUX.
	(KRB5_BUILD_LIBRARY_STATIC): Require it.
	(CHECK_SIGPROCMASK, AC_PROG_ARCHIVE, AC_PROG_ARCHIVE_ADD,
	CHECK_DIRENT, CHECK_WAIT_TYPE, CHECK_SIGNALS, KRB5_SIGTYPE,
	CHECK_SETJMP, WITH_KRB4, ADD_DEF, KRB_INCLUDE, K5_GEN_MAKEFILE,
	_K5_GEN_MAKEFILE, K5_GEN_FILE, K5_AC_OUTPUT,
	V5_AC_OUTPUT_MAKEFILE, CHECK_UTMP, WITH_NETLIB,
	KRB5_BUILD_LIBRARY_STATIC): Define using AC_DEFUN.

2002-10-07  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in (install-headers-prerecurse): Create directories in
	which we install headers

2002-09-24  Ezra Peisach  <epeisach@bu.edu>

	* Makefile.in (krb5-config): Add argument to invocation of
	config.status to only generate krb5-config and not any other
	Makefiles.

	* configure.in (krb5-config): Use AC_CONFIG_FILES to better
	generate and chmod krb5-config file.

	* aclocal.m4 (V5_AC_OUTPUT_MAKEFILE): Rewrite to use AC_CONFIG_FILES. 
	krb5_append_frags is now a define instead of a shell variable.
	
2002-09-23  Ezra Peisach  <epeisach@bu.edu>

	* aclocal.m4 (V5_SET_TOPDIR): When determining the location of the
	top of the source tree, stop when reach the top and aclocal.m4
	file is located instead of continuing up and out of the tree.

2002-09-19  Ezra Peisach  <epeisach@bu.edu>

	* aclocal.m4: Put V5_OUTPUT_MAKEFILE back - still in use. Needs to
	be rewritten.

2002-09-19  Ezra Peisach  <epeisach@bu.edu>

	* aclocal.m4 (K5_AC_OUTPUT, K5_GEN_MAKEFILE, K5_GEN_FILE): Rewrite
	to use AC_CONFIG_FILES. Remove unused V5_OUTPUT_MAKEFILE.

2002-09-19  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_CHOOSE_SS): Check that the indicated system
	ss package can actually be linked against and will produce
	programs that run.

2002-09-15  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL_FIND_CONFIG): Set TCL_LIBPATH and
	TCL_RPATH.

2002-09-13  Ken Raeburn  <raeburn@mit.edu>

	* aclocale.m4 (WITH_CC): Substitute @HAVE_GCC@.  Set
	krb5_cv_prog_gcc from ac_cv_compiler_gnu.
	* configure.in: Don't explicitly set HAVE_GCC or test for gcc
	here.

	* aclocal.m4 (KRB5_AC_CHOOSE_DB): New macro.
	(CONFIG_RULES): Invoke it.
	(KRB5_LIB_PARAMS): Don't substitute LIB_LINK_OPT.
	(KRB5_LIB_AUX): Don't substitute EXTRA_CLEAN_TARGETS,
	EXTRA_CLEAN_LINKS, and don't update LIBLIST, LIBLINKS, LIBINSTLIST
	to add the EXTRA_ values.

	* configure.in: Configure util/db2 only if we're going to use it.

2002-09-03  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB_INCLUDE): Put in-tree include dirs before
	previous contents of CPPFLAGS.
	(KRB5_AC_CHOOSE_SS): Let user specify SS_LIB=..., substitute it
	into generated makefiles.

2002-09-03  Ezra Peisach  <epeisach@bu.edu>

	* acconfig.h: Remove - no longer necessary.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_CHOOSE_ET, KRB5_AC_CHOOSE_SS): Renamed from
	non-KRB5_AC_ names.  Change --with-system-com_err to
	--with-system-et, to avoid confusing mix of '-' and '_'.
	(WITH_CCOPTS): Describe as deprecated in favor of CFLAGS=...; use
	AC_REQUIRE_CPP.
	(WITH_LINKER, WITH_LDOPTS, WITH_CPPOPTS): Describe as deprecated;
	encourage use of LD= etc instead.
	(WITH_NETLIB, WITH_HESIOD): Use AC_HELP_STRING.
	(KRB5_AC_CHECK_FOR_CFLAGS): New macro.
	(WITH_CC): Mark old configure option deprecated, encourage user
	to use CC= instead.  Add gcc warning flags only if CFLAGS not set
	by user.  Don't force default to "cc".
	(KRB5_LIB_PARAMS): Use AC_CANONICAL_HOST, don't bother with
	cache.

	* aclocal.m4 (CHOOSE_ET, CHOOSE_SS): New macros.
	(CONFIG_RULES): Invoke them.
	* configure.in: Configure util/et and util/ss only if they're
	going to be used.  Configure lib/krb4 and krb524 only if KRB4_LIB
	is non-empty; this may not be right for "--with-krb4=/some/dir".

2002-08-26  Ezra Peisach  <epeisach@bu.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): Substitute krb5_cv_host in
	Makefiles. Remove K5_OUTPUT_FILES as nothing depends on it
	anymore.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4: Require autoconf 2.52 or later.

2002-07-17  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't make a Makefile in util/dyn.
	* krb5-config.in: Don't include "-ldyn".

2002-07-12  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_BUILD_LIBRARY_STATIC): Disable installation of
	library.

2002-07-05  Ezra Peisach  <epeisach@bu.edu>

	* aclocal.m4 (KRB5_AC_INET6): Use the three argument form of
	AC_DEFINE so that comment will be added to autoconf.h.in without
	requiring acconfig.h change.

2002-07-05  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_INET6): Include netdb.h when checking for
	getaddrinfo, in case it's a macro.

2002-06-25  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't configure lib/krb5util.

2002-06-10  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (WINMAKEFILES): Remove keytab subdir makefiles, and
	their build rules.

2002-04-25  Ezra Peisach  <epeisach@bu.edu>

	* configure.in (AC_CONFIG_SUBDIRS): Always run configure in
	lib/krb4 and krb524 - but do not build in those directories if
	krb4 support disabled. Autoconf 2.53 and up cannot handle
	variables in AC_CONFIG_SUBDIRS directive.

2002-04-05  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (TRY_PEER_INT): Strip trailing spaces from defined
	macros.

2002-04-02  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (install-strip): New rule to pass "-s" to install.

	* aclocal.m4 (CONFIG_RULES): Fix to not define KRB5_DEPRECATED; we
	set it to 1 in krb5.hin now.

2002-04-01  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (CONFIG_RULES): Add -DKRB5_PRIVATE=1 and
	-DKRB5_DEPRECATED=1 to the default CPPFLAGS for now, so that stuff
	in the tree actually builds.

2002-03-28  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (TRY_GETSOCK_INT): Strip trailing spaces from defined
	macros.

2001-11-19  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Fix up lib/crypto/yarrow for Windows.

2001-11-16  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in (FILES): Add lib/crypto/yarrow

2001-10-29  Jeff Altman   <jaltman@columbia.edu>

        * Makefile.in - Windows configuration for src/lib/crypto/arcfour
          directory

2001-10-24  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4: Require 2.13 of autoconf.
	(DECLARE_SYS_ERRLIST, CHECK_SIGPROCMASK, CHECK_DIRENT,
	CHECK_WAIT_TYPE, CHECK_SIGNALS, KRB5_SIGTYPE, KRB5_AC_CHECK_INET6,
	HAVE_YYLINENO, KRB5_SOCKADDR_SA_LEN, AC_HEADER_STDARG,
	KRB5_AC_NEED_LIBGEN, KRB5_AC_ENABLE_DNS): Use of AC_DEFINE
	modified to provide comment for autoheader generated file.

	* acconfig.h: Remove ANSI_STDIO, NO_YYLINENO, POSIX_FILE_LOCKS,
	POSIX_SIGTYPE, POSIX_TERMIOS, USE_DIRENT_H, WAIT_USES_INT,
	krb5_sigtype, HAVE_STDARG_H, HAVE_VARARGS_H, HAV_REGCOMP,
	HAVE_SA_LEN, HAVE_SOCKLEN_T, KRB5_ATHENA_COMPAT, KRB5_KRB4_COMPAT,
	KRB5_DNS_LOOKUP, KRB5_DNS_LOOKUP_KDC, KRB5_DNS_LOOKUP_REALM,
	KRB5_USE_INET6, MEMMOVE, memmove, mkstemp and strerror. All
	replaced by use of third argument to AC_DEFINE.

2001-10-11  Tom Yu  <tlyu@mit.edu>

	* configure.in (HOST_TYPE): Remove SHLIB_TAIL_COMP; it's no longer
	needed.

2001-10-03  Ken Raeburn  <raeburn@mit.edu>

	* wconfig.c (main): Delete _MSDOS support.

2001-09-28  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_CHECK_TYPE_WITH_HEADERS): Need brackets
	around arguments to tr.

2001-08-31  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Fix clean-windows target to clean appl/gssftp/ftp.

2001-08-31  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_CHECK_TYPE_WITH_HEADERS,
	KRB5_AC_CHECK_SOCKADDR_STORAGE): New macros.
	(KRB5_AC_CHECK_INET6): Call KRB5_AC_CHECK_SOCKADDR_STORAGE, but
	don't require success for IPv6 support.
	(KRB5_SOCKADDR_SA_LEN): Change first letter of checking message to
	lowercase.
	* acconfig.h (HAVE_STRUCT_SOCKADDR_STORAGE): Undef.

2001-08-30  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL_FIND_CONFIG): Do put /usr/include/tcl$v
	in TCL_INCLUDES if that's where tcl.h is found.  Don't include
	tcl.h when testing to see if Tcl_CreateInterp is available.
	(KRB5_AC_CHECK_INET6): Don't require getaddrinfo support.

2001-08-21  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_CHECK_INET6): Don't check for
	AI_ADDRCONFIG.

2001-07-30  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4: Fix typo in last change. Do not get rid of 
	spaces in definitions.
	
2001-07-30  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4: Add functions KRB5_GETSOCKNAME_ARGS and
	KRB5_GETPEERNAME_ARGS to elucidate the argument types to
	getsockname() and getpeername().

2001-07-23  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Build gssftp client on Win32.

2001-07-06  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (CHECK_WAIT_TYPE): Need to include sys/types.h for
	initial test or pid_t might not be defined.

2001-07-05  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (CHECK_WAIT_TYPE): Improved testing if wait uses int
	or struct union as an argument. Tests if a prototype conflict
	exists with int being used, and if so, falls back on the old test.

2001-06-21  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): Display test for host type and
	result so that "cached" is not simply output from configure.
	(KRB5_NEED_PROTO): Add optional third argument, which if set means 
	to test for prototype even if configure script does not test for
	function. 
	
2001-06-18  Ezra Peisach  <epeisach@mit.edu>

	* acconfig.h: Add HAVE_REGCOMP.

	* aclocal.m4 (KRB5_AC_NEED_LIBGEN): Determins if libgen is really
	needed to be linked with executables by determining if regcomp()
	is missing or non-functionl and then if compile/step will be used.
	(KRB5_AC_REGEX_FUNCS): Rewritten to require KRB5_AC_NEED_LIBGEN.
	(KRB5_BUILD_PROGRAM): Use KRB5_AC_NEED_LIBGEN instead of testing
	for compile in libgen.
	
2001-06-11  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (KRB5_NEED_PROTO): Determines if the OS provides a
	prototype for a function - and if not, allows us to define it.

2001-06-08  Ezra Peisach  <epeisach@mit.edu>

	* krb5-config.in (CC_LINK): Use ' vs " to prevent bash expansion of
	variables. 
	(LIBS): Quote autoconf substitution in case of space being present. 

2001-06-06  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (CONFIG_RULES): Set and substitute AUTOHEADER and
	AUTOHEADERFLAGS.

2001-05-30  Ezra Peisach  <epeisach@mit.edu>

	* krb5-config.in: New script for providing linker and compiler
	information for applications.

	* patchlevel.h: Update to current release. Mkrel script generates
	this in distribtions.

	* configure.in: Add support for parsing patchlevel.h into a
	useable form for krb5-config. Generate krb5-config from
	krb5-config.in. Add KRB5_BUILD_PROGRAM for variable substitution. 
 
	* Makefile.in: Add support for building and installing krb5-config.

2001-05-23  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (WITH_CC, WITH_CCOPTS): Autoconf 2.50 fix. Change
	from define to AC_DEFUN. Autoconf warns of use of AC_REQUIRE
	outside such as environment.

2001-04-27  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (DECLARE_SYS_ERRLIST): Check for sys_nerr with an
	expression that can't be optimized away.
	(KRB5_INIT_CCOPTS): New macro.
	(WITH_CC): Add gcc warning flags to CCOPTS instead of CC.  Add
	option -Wno-comment to stop gcc from complaining about SunOS
	system header files.  Call AC_REQUIRE on KRB5_INIT_CCOPTS.
	(WITH_CCOPTS): Add to CCOPTS instead of simply assigning to it.
	Call AC_REQUIRE on KRB5_INIT_CCOPTS.

2001-04-26  Ken Raeburn  <raeburn@mit.edu>

	* acconfig.h (KRB5_NO_PROTOTYPES, KRB5_PROVIDE_PROTOTYPES,
	KRB5_NO_NESTED_PROTOTYPES): Deleted.
	* aclocal.m4 (HAS_ANSI_VOLATILE, KRB5_CHECK_PROTOS): Deleted.
	(KRB5_AC_INET6): Don't look for getipnodebyname, getipnodebyaddr.

2001-04-25  Ken Raeburn  <raeburn@mit.edu>

	* acconfig.h (HAVE_SOCKLEN_T): Add.
	(HAS_VOID_TYPE): Delete.

2001-04-17  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (unixmac): Target deleted.

2001-04-11  Ezra Peisach  <epeisach@rna.mit.edu>

	* aclocal.m4 (WITH_CC): Reorganize test: Do not use cache variable
	that conflicts with an autoconf internal variable (prefix with
	krb5_ instead of ac_). Ensure that the first time AC_PROG_CC is
	invoked, is not within a conditional cache block. Autoconf 2.49
	only include the compiler test code once in the configure script
	instead of everytime it is seen. 

Fri Feb 16 16:23:25 2001  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in: Add $(datadir) to INSTALLMKDIRS for util/et.

2001-01-28  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_LIB_AUX): Smash some shared lib file extensions
	so that AIX doesn't break, since static and shared libs are
	mutually exclusive on AIX.

2001-01-16  Ken Raeburn  <raeburn@mit.edu>

	* acconfig.h (HAVE_SA_LEN): Undef.

	* configure.in: Call AC_REQUIRE_CPP before checking for GCC, to
	ensure that we always set $CPP.

2000-12-06  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_INET6): Ensure that we check for sa_len
	field.

2000-12-05  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_INET6): Look for netdb.h.
	(KRB5_AC_CHECK_INET6): Require <netinet/in.h>, <netdb.h>,
	inet_ntop, getaddrinfo, AF_INET6, several NI_* macros,
	AI_ADDRCONFIG, and AI_NUMERICHOST.  This should be a reasonable
	test for conformance to certain parts of RFC2553, giving us
	reasonable generic sockaddr/hostname processing.
	(WITH_CC): Don't use -Wtraditional, we're always assuming ANSI
	mode now.

2000-11-01  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (CONFIG_RULES): Quote AUTOCONFFLAGS properly.

2000-11-01  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: If the cache_file is /dev/null (autoconf 2.49),
	set it to config.cache.

	* aclocal.m4 (V5_SET_TOPDIR): In newer versions of autoconf
	(2.49), AC_LOCALDIR is not set by the reconfiguration process. If
	AC_LOCALDIR is not set, try to find the top of the tree by looking
	for aclocal.m4. If aclocal.m4 ever exists in a subdir, we will
	need to redo this test.

	* aclocal.m4: Upgrade to autoconf 2 naming schemes - AC_C_CONST,
	AC_CHECK_HEADER, AC_PROG_LN_S, AC_MSG_ERROR instead of AC_CONST,
	AC_HEADER_CHECK, AC_LN_S, AC_ERROR. Use AC_DEFUN instead of
	define() for macro definitions and better quoting of macros within
	macros.
	
2000-10-31  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (AC_LIBRARY_NET): Newer versions of autoconf are more
	sensative to using macros within macros without quoting. Quote
	AC_CHECK_LIB calls within AC_CHECK_LIB macro.

2000-10-27  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (ac_config_fragdir): Set AUTOCONFFLAGS to use the
	local util/autoconf macrodir if we are using the shipped autoconf.

2000-08-30  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (LIBLINKS): Fix appending of $EXTRA_LIB_TARGETS to
	LIBLINKS; previously it was setting LIBLINKS to include $LIBLIST
	instead, which is Just Wrong.

2000-08-30  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_LIB_AUX): Fold in values of EXTRA_LIB_TARGETS,
	EXTRA_LIBLINK_TARGETS, EXTRA_LIBINST_TARGETS set in shlib.conf.
	Substitute EXTRA_CLEAN_TARGETS and EXTRA_CLEAN_LINKS.
	(KRB5_LIB_PARAMS): Substitute LIB_LINK_OPT.

2000-08-23  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_CHECK_INET6): Require "struct
	sockaddr_storage" for IPv6 support.

2000-08-07  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (CHECK_SIGPROCMASK): Check for posix sigprocmask
	before a potential bsd compatible sigmask.

2000-07-19  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Compile .et file for krb524.

2000-07-19  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Remove references to now defunct directories
	lib/krb5/ccache/{file,memory,stdio}.

2000-07-19  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Add ms2mit and krb524 Makefile creation to Windows
	build preparation.

2000-07-14  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): Moved bulk of the work into
	config/shlib.conf.
	(K5_AC_CHECK_FILES): Require AC_PROG_CC be run first.
	(WITH_CC): If we're using gcc, enable a bunch of warning options.

2000-07-01  Tom Yu  <tlyu@mit.edu>

	* acconfig.h: Add function replacement renaming symbols for
	util/db2/include/config.h.in.

2000-06-30  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (CC_LINK_STATIC): Another fix for freebsd shared libs
	from David Cross.

2000-06-30  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_ENABLE_DNS): Rewrite to fix logic.  Now
	--enable-dns-for-XX really will be heeded for setting default
	behavior.  Also, DNS support can now be compiled in while still
	turned off by default.  Print out whether the DNS support will be
	compiled in.

2000-06-30  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Fix freebsd CC_LINK_SHARED to have correct rpath
	flags.  Thanks to David Cross.

2000-06-23  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): Don't need to display "checking"
	message for AC_CANONICAL_HOST, it does that itself.

2000-06-23  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (CC_LINK_STATIC): Fix to use old library search
	order; otherwise if there are shared libraries with the same name
	elsewhere in the search path, they'll take precedence over the
	static ones in the tree.
	(AC_KRB5_TCL_TRYOLD): Search by appending stuff to CPPFLAGS and
	LDFLAGS to notice if there may be problems with stuff earlier
	along in either variable overriding.

2000-06-23  Nalin Dahyabhai  <nalin@redhat.com>

	* wconfig.c (main): Warn if copying command-line option string
	will overflow internal buffer.

2000-06-23  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_ENABLE_DNS): Set RESOLV_LIB, and substitute
	it into the Makefile.
	(AC_LIBRARY_NET): Set RESOLV_LIB.

	* aclocal.m4 (KRB5_AC_ENABLE_DNS): Check for dns, dns-for-kdc, and
	dns-for-realm separately.  Define KRB5_DNS_LOOKUP if either mode
	is enabled.  Define KRB5_DNS_LOOKUP_KDC and KRB5_DNS_LOOKUP_REALM
	if the appropriate modes are enabled.
	* acconfig.h (KRB5_DNS_LOOKUP_KDC, KRB5_DNS_LOOKUP_REALM): Undef.

	* aclocal.m4 (KRB5_LIB_PARAMS): Check for alpha*-dec-osf* instead
	of alpha-dec-osf*.

2000-05-05  Wilfredo Sanchez <tritan@mit.edu>

	* config/pre.in: Set KRB5_INCDIR from @includedir@ so configure
	--includedir=foo works.

	* aclocal.m4 (Darwin): Settle on LIBMAJOR as compat
	version. Change "-dylib_foo=X" options to "-foo X", which actually
	work. Specify -install_name path.

2000-05-04  Wilfredo Sanchez <tritan@mit.edu>

	* Makefile.in: kadmin server binaries install into SERVER_BINDIR
	instead of ADMIN_BINDIR. (The default is the same for both, though
	in BSD layouts SERVER_BINDIR should be /usr/libexec, not
	/usr/sbin.)

2000-05-02  Wilfredo Sanchez <tritan@mit.edu>

	* config.guess, config.sub: Clean up Rhapsody and Mac OS X guesses.
	Use powerpc-apple-darwin1.x on Mac OS X.

	* aclocal.m4: Clean up to Rhapsody/Darwin compile options:
	- Set the compatibility version of libraries to 0.1 for now so
	binaries don't blow up every time a new library version rolls
	out. We can add a compat variable to the lib makefiles if we think
	this is needed.
	- Don't forget LDFLAGS in CC_LINK_* and LDCOMBINE macros. This is
	probably a good idea for all platforms. We'll need it in Darwin
	for building multi-architecture binaries.
	- The default for SHOBJEXT works, so there is no need to define it
	again.

2000-04-18  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in (clean-windows): Actually clean gss-sample on Windows.

2000-04-11  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in (clean-windows): Clean gss-sample on Windows.

2000-03-15  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_AC_ENABLE_DNS): Fix typo that caused the DNS
	code to never get enabled.

2000-03-01  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Tweak the HPUX shared lib build some more.  Don't
	use $(INSTALL_PROGRAM) for shared libs, since it strips them!  We
	should fix this at some point.

	* aclocal.m4: Add support for setting the INSTALL_SHLIB variable.
	Tweak the HPUX shared lib build somewhat.

2000-02-28  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Add enable-kdc-replay-cache arg, to make usage
	message more complete.

2000-02-28  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4: Define DES425_LIB and DES425_DEPLIB all the time. We
	build the des425 library all the time and these need to be define
	for "make check."

2000-02-07  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Kludge in the old test for tcl so that we have some
	prayer of pulling in tcl from the funky installation that goes
	along with dejagnu.

2000-02-07  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL_FIND_CONFIG): Change test syntax a
	little to keep bash happy.

2000-02-04  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Add support to substitute KRB524_LIB in places.

2000-02-01  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Build gss-sample on Windows.

2000-01-26  Ken Raeburn  <raeburn@raeburn.org>

	* aclocal.m4 (KRB5_AC_REGEX_FUNCS): Require AC_PROG_CC instead of
	invoking obsolete AC_C_CROSS.
	(KRB5_LIB_PARAMS): Use AC_MSG_CHECKING, not AC_CHECKING.

	* aclocal.m4 (AC_KRB5_TCL_FIND_CONFIG): New macro, looks for
	installed tclConfig.sh file and extracts library name and other
	information from it.
	(AC_KRB5_TCL): Rewrite, uses AC_KRB5_TCL_FIND_CONFIG.

	* aclocal.m4 (AC_LIBRARY_NET): Require KRB5_AC_ENABLE_DNS, and if
	it's enabled, pull in res_search from -lresolv if needed.
	(KRB5_AC_ENABLE_DNS): New macro, just implements argument
	checking, and may define KRB5_DNS_LOOKUP C macro.
	* acconfig.h (KRB5_DNS_LOOKUP): Undef.

	* aclocal.m4 (KRB5_AC_INET6): Add enable/disable-ipv6
	configure-time options; by default, enable it only if support code
	is available.
	(KRB5_AC_CHECK_INET6): Moved part of old KRB5_AC_INET6 here.

1999-12-03  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: On Windows, build error tables if we believe awk
	is present.

1999-12-03  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Make Windows Makefile target creation atomic.
	Build clients/kvno for Windows.  Also pull from 1.1 branch: Add
	install target for windows.  Remove references to unused mit
	directory.

1999-11-02  Ken Raeburn  <raeburn@raeburn.org>

	* aclocal.m4 (KRB5_AC_INET6): New macro.
	* acconfig.h (KRB5_USE_INET6): Undef.

1999-10-26  Wilfredo Sanchez <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

1999-09-21  Ken Raeburn  <raeburn@mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): Treat Rhapsody like Mac OS 10.
	For both, add "-undefined warning" when building shared libs, and
	remove "-static" from CC_LINK_STATIC.

1999-08-27  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Add some missing dirs needed for generating a proper
	kerbsrc.zip.  Make krbsrc83.zip obsolete.

1999-08-13  Brad Thompson  <yak@mit.edu>

	* aclocal.m4: Added MacOS X shared library support.

1999-08-09  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Build kpasswd under windows.

1999-07-22  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (install-mkdirs): Use mkinstalldirs rather than
	mkdir -p for portability reasons.

1999-07-06  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Delete old and already disabled code relating to
	shared library support.

1999-06-15  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Create Makefile.in for srvtab keytab code during
		win32 build.

Tue May 18 19:52:56 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Remove - from recursive Win32 make invocation.
		Move definition of WCONFIG into config/win-pre.in.  Use
		symbolic name for output dir dependency when building
		wconfig.  Remove wconfig clean stuff since we do it
		automagically in win-post.in.  Build util instead of
		directly building util/windows, util/et, util/profile.

Mon May 17 20:45:54 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in, wconfig.c: Rename config/windows.in to 
		config/win-pre.in.

Mon May 17 12:20:43 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Remove win16 support for cleaner win32.  Build
		wconfig under arch-specific subdirs.  Update clean-windows
		directories to reflect current all-windows directories.
		Add distclean-windows target.

Mon May 10 18:56:11 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Back out win16/win32 change.  Does not
		work from clean.  Must wait until win32-only to
		remove /AL flag.

Mon May 10 15:07:11 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Change wconfig build so win16 flags are not used
		for win32 build.

Mon Feb  8 21:42:44 1999  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in: Change Windows kerbsrc.zip target so this now does
		what kerbsrc-nt.zip used to do.  We no longer support
		building krb5 on systems with 8.3 limitations.  Also allow
		binary files in windows/lib to be included into
		kerbsrc.zip file.

Wed Jan 27 17:10:18 1999  Tom Yu  <tlyu@mit.edu>

	* configure.in: Fix typo so that lib/crypto actually gets
 	configured.

1999-01-27  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in, configure.in: Move the responsibility for
		generating Makefile files for the following subdirectories
		to the top-level: util, util/send-pr, util/dyn, lib,
		config-files, and gen-manpages.  

1999-01-26  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* wconfig.c: Updated to be more featureful.  It will now save the
		arguments passed to it and emit it as a makefile variable
		WCONFIG_FLAGS.  This allows the makefile to be able to
		preserve wconfig options in the future when updating
		makefile.  Also added the --win32 and --win16 options to
		force win16 or win32 makefiles.  An option of the form
		--enable-foo will cause lines that begin ##FOO## to be
		uncommented in the Makefile.  The program has also been
		cleaned up so it can be run (for debugging purposes) under
		Unix.

Sat Dec  5 01:14:23 1998  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in: Updated windows configuration rules to work with
		the new crypto library.  (Including bundling the correct
		directories into kerbsrc-nt.zip)

1998-11-14  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* aclocal.m4: Add support for FreeBSD systems using ELF (and not
		just a.out systems).  Also remove the definition for
		the KRB5_POSIX_LOCKS test, since it is no longer needed.
		(See ChangeLog for lib/krb5/os/lock_file.c for more details.)

1998-09-22  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* aclocal.m4 (AC_PROG_LEX): Autoconf "fixed" AC_PROG_LEX long
		ago.  Our own local version is no longer necessary.

Wed Sep 23 15:24:44 1998  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_LIB_AUX): Do what Sam originally meant to do by
	moving the explicit resetting of DEPLIB=$SHLIBEXT and forcing
	SHLIBEXT=.so-nobuild to avoid duplicate rules on AIX and such.

1998-08-24  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Add support to build the lib/krb5/ccache api
		directory and include it in the Windows kerbsrc-nt.zip
		file.

Wed Aug 19 20:14:31 1998  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_LIB_AUX): Back out Sam's change to reorder the
 	"force_static" logic, as it would cause problems where a
 	forced-static library is built in the same directory as a
	program, due to explicit setting of CC_LINK, etc.

Mon Aug 17 18:10:29 1998  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Fix Sam's fixes (variable capitalization).

Wed Jul  8 01:10:44 1998  Matthew D Hancher  <mdh@mit.edu>

	* aclocal.m4: Allow shared libraries to build properly under Irix
 	6.x with gcc. (This is actually a fix of a previous fix that
 	didn't make it into ChangeLog.)

Thu Jul  2 20:41:02 1998  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in: Update commands to build the Macintosh MPW Makefile

1998-07-05    <hartmans@fundsxpress.com>

	* aclocal.m4 (enable_shared): If we aren't building shared, then
	make sure that SHLIBEXT and friends are not set so that we don't
	break on AIX and anything else where STLIBEXT == SHLIBEXT

1998-05-27  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Don't depend on $(RM) macro being defined when
		building kerbsrc-nt.zip

	* Makefile.in: include krb5/ccache/memory and windows/lib in
		the list of directories built by the Windows build.
		When building kerbsrc-nt.zip, put a copy of mkbin.bat
		in the top-level build directory.  Fix bug in
		kerbsrc-nt.zip building where it wasn't creating the
		initial Makefile (although the dos-zipfiles target did
		the right thing).

1998-05-26  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): Remove "untested" comment from
		freebsd.  Add section for openbsd.

Sun May 24 22:09:12 1998  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in: Remove lib/kadm and lib/krb5/free from the list of
 		directories supported by windows (since they have since
 		gone away).

	* aclocal.m4: Added suggested changes to improve HP-UX's support
	 	for shared libraries.

1998-05-06  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* aclocal.m4 (CONFIG_RELTOPDIR): Add support for generic file
		existence tests (used to simplify some configure.in
		files.)

Sun Mar  1 22:22:50 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* aclocal.m4: Remove unused variables BUILDTOP and SRCTOP (now
 		defined in the individual Makefile.in file.  Define
 		@AUTOCONF@ to have the appropriate pathname (either
 		internal to our source tree, or in the user's path).  Set
 		@CONFIG_RELTOPDIR@ to contain the relative path to the top
 		of the build directory from the directory containing the
		configure script.

Fri Feb 27 21:43:41 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* aclocal.m4 (KRB5_AC_REGEX_FUNCS): Take the regular expression
		function code from lib/krb5/os/configure.in and turn it
		into a generalized regular expression function tester.

Wed Feb 18 15:23:08 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (thisconfigdir): Remove trailing slash from
	thisconfigdir.

Fri Feb 13 15:10:41 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* aclocal.m4: Rename K5_OUPUT_FILES to K5_AC_OUTPUT, and leave a
		compatibility macro behind for K5_OUTPUT_FILES.  This is
		needed because autoreconf greps for AC_OUTPUT.

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* configure.in: Use AC_CONFIG_DIRS instead of CONFIG_DIRS, and
		remove use of DO_SUBDIRS.

Wed Jan 28 18:09:00 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

	* aclocal.m4: Removed the following (obsolete) functions:
		LinkFile, LinkFileDir, CopySrcHeader, CopyHeader,
		Krb5InstallHeaders, AppendRule, AC_PUSH_MAKEFILE,
		AC_POP_MAKEFILE, CONFIG_DIRS, DO_SUBDIRS, USE_*_LIBRARY

Tue Oct 28 11:49:55 1997  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (WITH_NETLIB): Use AC_LIBRARY_NET.
	             (AC_LIBRARY_NET): Written by jhawk@mit.edu to 
		    	better determine if libsocket and libnsl are needed.

Thu Oct 23 12:08:24 1997  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (TCL_WITH): Check for libtcl8.0.

Wed Oct 22 15:03:26 1997  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL): Rewritten for clearer
	 	understanding. Check for libtcl7.6 and tcl/tcl.h.

Mon Oct 13 10:14:06 1997  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Add KRB5_LIB_AUX so configure --help gives info on
        shared libraries.

Tue Oct  7 08:05:43 1997  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): For the alpha, revert RUN_ENV
        change as the dejagnu/Makefile.in can now deal with the older
        quoting scheme and makes this version more readable.

Tue Sep 30 18:56:37 1997  Tom Yu  <tlyu@mit.edu>

	* acconfig.h: Punt HAS_STDLIB_H, NO_STDLIB_H, POSIX_TYPES.

Thu Sep 25 21:06:40 1997  Tom Yu  <tlyu@mit.edu>

	* acconfig.h: Punt HAS_SETVBUF, HAS_UNISTD_H, KRB5_USE_INET.

Thu Sep 18 17:51:39 1997  Tom Yu  <tlyu@mit.edu>

	* acconfig.h: Remove USE_STRING_H, HAS_STRDUP, HAS_LABS

Mon Aug 18 11:28:25 1997  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): For the alpha, RUN_ENV needs to
 	have sed expression in single quotes unstead of double to deal
 	with a shell quoting bug in the dejagnu test suite.

Tue Aug 12 11:09:30 1997  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (WITH_HESIOD): Fix --with-hesiod support to DTRT if
	        the option is not specified.

Tue Aug 12 08:58:11 1997  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (MACFILES): Remove mac/gss/* as it does not exist.

Mon Aug 11 21:16:50 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_BUILD_LIBRARY_STATIC): Fix up some things so
	that this macro actually works; it's still necessary to precede a
	call to KRB5_BUILD_LIBOBJS with a call to
	KRB5_BUILD_LIBRARY_STATIC, though.  Basically if you AC_DEFUN
	something that produces shell code and then calls a macro that
	AC_REQUIREs something else, then all the AC_REQUIREd stuff ends up
	coming *before* the shell code in the first macro.  I'm not sure
	there's a reasonable workaround, or whether this can even be
	considered to be a bug.

Wed Aug  6 20:25:49 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Add support for --with-hesiod (and add it to
	CONFIG_RULES, as it's needed almost everywhere kadm5 gets
	linked).

Wed Jun 11 16:46:47 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in (MACFILES): Added the mac/gss files to the Macintosh
		tar file.

Fri Apr 18 11:38:51 1997  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in (CLEANUP): Add MIT files to the windows zip file (if
		the mit directory exists)

Thu Apr 17 16:15:15 1997  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* wconfig.c (main): Add arguments to allow specification of
		the --mit, --nomit, --ignore=XXX options.

Fri Mar 28 02:18:20 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_LIB_AUX): add lib$(LIB)$(SHLIBVEXT) to the list
	of libraries that get symlinked into $(TOPLIBD).  This allows
	linkers that look for libfoo.so.maj.min rather than libfoo.so at
	link time to work, e.g. NetBSD/i386.

Wed Mar 19 15:43:27 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in: Fix up Macintosh and Windows build rules now that
		the top-level Makefile doesn't exist any more.

Mon Mar 24 13:49:15 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: (KRB5_LIB_PARAMS): Add support for HP/UX, FreeBSD,
	and SNI, ported from the old top-level configure.in.  These are
	not tested yet.

Fri Mar 21 15:12:46 1997  Tom Yu  <chaoself@avalanche-breakdown.mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): Add support for mips-dec-netbsd.

Sun Mar  9 22:29:31 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Add provisions to make major version number
	compatibility work for shared libaries.

Sat Feb 22 20:50:49 1997  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* aclocal.m4 (CC_LINK_STATIC): Added RUN_ENV line for Linux

Fri Feb 21 15:58:55 1997  Sam Hartman  <hartmans@mit.edu>

	* aclocal.m4 (CC_LINK_STATIC): Define appropriate flags to build
 	shared libs on AIX.

Fri Feb 21 12:00:53 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* aclocal.m4 (CC_LINK_SHARED): Linux doesn't understand -R; use
		"-bWl,-rpath -Wl,$(PROG_RPATH)" instead.


Sun Feb 16 21:17:11 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Build krb4 library under win16/win32

Fri Feb 14 15:52:14 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Add shared library support for Irix.

	* configure.in: inactivate the old case statement that determined
	shared lib parameters; keep it around just for reference, though.

Wed Feb 12 16:17:44 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Remove INSTALL_VARIABLE_HACK, as it's no longer
	needed in autoconf 2.12.

Mon Feb 10 11:30:56 1997  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): Set CC_LINK_STATIC for platforms
		w/o shared library support.
		     (KRB5_LIB_AUX); Set CC_LINK if --enable-shared is not
		specified.

Mon Feb  3 00:11:37 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in:
		awk-windows-mac: Only rebuild based on what has changed

Mon Dec 30 13:39:46 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4: Add AC_PREREQ(2.12) as we now require autoconf 2.12.
		[krb5-build/289]

Sun Feb  9 01:01:32 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): Fix up RUN_ENV for alpha-dec-osf*
	so that we don't try to set _RLD_ROOT before setting
	LD_LIBRARY_PATH (which needs to call sed).

Sat Feb  8 15:39:08 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Fix up AC_KRB5_TCL somewhat to deal with
	--with-tcl=pathname properly.

	* aclocal.m4 (KRB5_RUN_FLAGS): Convert to no longer use old cache
	variable kludge.
	(KRB5_LIB_AUX): Set CC_LINK to CC_LINK_SHARED or CC_LINK_STATIC,
	depending on whether we're building with shared libraries.

Wed Feb  5 21:03:41 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL): Fix up to work better with new program
	build procedure.

	* aclocal.m4 (WITH_KRB4): Fix up KRB4_INCLUDES to look in the
	build tree as well.

Mon Feb  3 23:27:57 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Check for -lgen properly.

Sat Feb  1 08:27:19 1997  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4: CC_LINK for alpha changed -R to -Wl,-rpath....

Fri Jan 31 21:48:08 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Some WITH_KRB4 tweaks.

Mon Jan 27 17:12:13 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Add KRB5_BUILD_PROGRAM and
	KRB5_BUILD_LIBRARY_STATIC.

Sun Jan 26 22:37:16 1997  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4:: Remove V5_MAKE_SHARED_LIB, V5_SHARED_LIB_OBJS

Fri Jan  3 22:30:05 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Alter conventions for libraries with dependencies;
	make a separate macro, KRB5_BUILD_LIBRARY_WITH_DEPS, that adds in
	the flags for explicit library dependencies.

Thu Jan  2 18:21:22 1997  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Add SunOS support (untested yet); add support for
	explicit dependencies in libraries.

Wed Jan  1 23:31:22 1997  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4 (KRB5_LIB_PARAMS): Add linux shared library
		support. Fix Solaris cc soname naming.

Mon Dec 30 12:58:37 1996  Ezra Peisach  <epeisach@mit.edu>

	* aclocal.m4: For alpha*, update the local copy of the
		so_locations registry.  

Sun Dec 29 21:22:21 1996  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Add support for installing libraries.

Fri Dec 27 16:54:41 1996  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Fix up solaris shared lib generation flags.

	* aclocal.m4: Many changes.  Add KRB5_LIB_PARAMS,
	KRB5_BUILD_LIBRARY, KRB5_BUILD_LIBOBJS, which do the obvious
	things.  Change V5_AC_OUTPUT_MAKEFILE to use $krb5_prepend_frags
	and $krb5_append_frags to make life easier when we have multiple
	frags that aren't pre.in or post.in.

Tue Dec 24 16:08:05 1996  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (V5_AC_OUTPUT_MAKEFILE): Fix to deal with the
	autoconf-2.12 syntax for file concatenation.

Tue Dec 17 13:54:48 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in (kerbsrc.mac.tar): Automatically make the
 		mac-bin-dirs target so that the binary directories are
 		correctly created.
	
Mon Nov 25 19:42:53 1996  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Comment out distclean and realclean so no one will
	be tempted to use them. [PR 222]

Fri Nov 22 23:51:07 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: All changes for the Macintosh port.  Translate '%'
 		characters in Macfile.tmpl to '/' characters.  Include the
 		mac/SAP directory in the kerbsrc.mac.tar tarball.  Rename
 		the kerbsrc.tar tarball to kerbsrc.mac.tar, so that the
 		target name in the Makefile matches the taget which is
 		actually generated.  Use mac/mkbindirs.sh to build the
 		binary hierarchy for the Macintosh build process.

Wed Nov 20 13:28:00 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in (awk-windows-mac): Copy gssapi.hin to gssapi.h to
		make Win16 build work.

Thu Nov  7 23:55:02 1996  Tom Yu  <tlyu@voltage-multiplier.mit.edu>

	* aclocal.m4 (LinkFileDir, LinkFile): AC_REQUIRE the AC_LN_S macro
	to avoid gratuitous rechecks.

Thu Nov  7 14:26:25 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in (Macfile): Correctly build the file lists for the
		Macintosh 68K and PPC object file lists.

Tue Nov  5 17:27:30 1996  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (install-recurse): Add dependency of install-recurse
	on install-mkdirs to force directories to be made first.

Fri Nov  1 20:41:07 1996  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (AC_KRB5_TCL): Check for -ldl when checking for -ltcl
	or -ltcl7.5 in case the TCL library needs it. [krb5-admin/141]

Thu Oct 31 10:57:29 1996  Ezra Peisach  <epeisach@trane.rose.brandeis.edu>

	* aclocal.m4 (db_lib): Use relative path to libdb.a file.

Mon Oct 21 21:19:53 1996  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4: Fix CopySrcHeader and CopyHeader so they actually
	generate dependencies for the files they're copying to.  Also, fix
	up DO_SUBDIRS to work with new recursion methods.

Mon Oct  7 15:07:38 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: Add AC_KRB5_TCL so configure --help is useful.

	* aclocal.m4 (AC_KRB5_TCL): Added tests for --with-tcl. 

Fri Sep  6 20:23:13 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* patchlevel.h (KRB5_MAJOR_RELEASE): Update patch level file for
		Beta 7 release.

Fri Sep  6 15:48:05 1996  Tom Yu  <tlyu@mit.edu>

	* configure.in: remove admin subdir

Fri Aug 30 22:58:19 1996  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (DECLARE_SYS_ERRLIST): Fix up to look for sys_errlist
		in both errno.h and libc.

Thu Aug 15 17:10:58 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* configure.in: Remove top-level calls to WITH_ANAME_DB and
		WITH_KDB_DB. 

	* aclocal.m4 (WITH_ANAME_DB, WITH_KDB_DB): Remove --with-aname-db
		and --with-kdb-db since we're not using any of them.

Thu Aug 15 20:00:15 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* acconfig.h: Remove line with ODBM as definition no longer is
		used in the tree.

Fri Jul 26 15:07:51 1996  Marc Horowitz  <marc@mit.edu>

	* aclocal.m4 (LIBS): include -lgen if compile() is present and
 	-lkrb5 is used.

Tue Jul 23 00:36:46 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* acconfig.h: Add contents of util/db2/acconfig.h so that
		util/reconf works correctly.

Thu Jul 18 19:12:02 1996  Marc Horowitz  <marc@mit.edu>

	* configure.in: $krb524 works with the admin system, now

Tue Jul  9 14:32:14 1996  Marc Horowitz  <marc@mit.edu>

	* aclocal.m4 (USE_ANAME, USE_KDB5_LIBRARY, KRB5_LIBRARIES): change
 	these macros so that db (as provided in util/db2) will *always* be
 	used.

	* configure.in (CONFIG_DIRS): removed $kadminv4 and $krb524 for
 	now, since they don't work with the new admin system.  this needs
 	to be fixed.

	* aclocal.m4 (WITH_KRB4): create new substituted variable
 	KRB4_INCLUDES, which is conditional on internal vs external vs no
 	krb4.
	(USE_KADMCLNT_LIBRARY): added.
	(KRB5_LIBRARIES): this macro didn't have any clue how to deal with
 	multiple executeables built in the same dir with different
 	libraries.  it does now, at least for what the admin system needs.
	(V5_MAKE_SHARED_LIB): this macro currently uses the LIB_SUBDIRS
 	make var to find the directories to build the shared library in.
  	This adds an optional fifth argument which is used in conjunction
 	with LIB_SUBDIRS for that purpose.  Now, both kadm5 libraries can
 	be built in the same directory.

Mon Jun 17 18:34:10 1996  Tom Yu  <tlyu@voltage-multiplier.mit.edu>

	* aclocal.m4 (CHECK_DB): explicitly set $LIBS before calling
		AC_CHECK_DBM_PROTO so that if a dbm lib is found it is
		linked against while checking for function existence.
		This may need some more testing.

Fri Jun 14 13:10:26 1996  Sam Hartman  <hartmans@mit.edu>

	* aclocal.m4 (USE_KRB4_LIBRARY)): Include appropriate include
 	files for the krb4 library we are actually using.  This way,
 	KEYFILE is a constant string if we are using Athena Kerberos libs.
	(LDFLAGS): Force TOPLIBD to be expanded in the configure script
 	for LDFLAGS, so they are valid for autoconf AC_HAVE_FUNCS
	tests. Note you cannot actually use libraries out of the top level
	library directory; this just gets around some gcc complaints with
	$(TOPLIBD) not being a bvalid path.

Thu Jun 13 23:03:03 1996  Tom Yu  <tlyu@voltage-multiplier.mit.edu>

	* aclocal.m4: break some stuff out into pre.in and post.in in
		preparation for doing away with PUSH_MAKEFILE cruft


Wed Jun 12 15:27:14 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4 (AC_CHECK_DBM_PROTO): Correct to use correct cache
		variable in test.

Wed Jun 12 19:41:12 1996  Tom Yu  <tlyu@voltage-multiplier.mit.edu>

	* aclocal.m4: use new AC_OUTPUT syntax for constructing
		Makefile.tmp

Wed Jun 12 00:23:51 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in (makefile-windows): Build the makefiles for
		windows/cns, windows/gss, and windows/wintel.  Add
		definition of BUILDTOP when building for DOS, since it's
		needed for $(RM) to work.  When creating ./Makefile under
		Unix, run things through sed to strip out ##DOS from the
		beginning of lines.

Mon Jun 10 17:11:45 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* wconfig.c: Revamp program to make it more extensible.  Now will
 	 	uncomment lines that begin "##DOS##" as well as
 	 	"##WIN16##" or "##WIN32##", depending on whether we are
	 	compiling on a Windows 16 or Windows 32 environment.
		Also, we now perform this transformation on the windows.in
	 	and win-post.in files as well.

Sat Jun  8 10:01:11 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4: Remove WITH_KDB4 and USE_KDB4_LIBRARY support

Fri Jun  7 17:39:45 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in (makefile-windows): Use full directory
		name "error_tables" when building under Windows so that
		the build will work correctly under VFAT and NTFS
		filesystems.  Build the "makefile" file so that it
		includes config/win-post.in.
		
Thu Jun  6 00:04:38 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in (all-windows): Don't pass $(LIBCMD) on the command
		line.  It's set in the windows.in prologue for all Makefiles anyway.

	* patchlevel.h (KRB5_MINOR_RELEASE): Update patchlevel for Beta 6 release.

	* Makefile.in (FILES): Include lib/crypto/sha/* in list of files
		to be built for Windows and the Macintosh.
		(makefile-windows): Build lib/crypto/sha/makefile for Windows

Tue Jun  4 12:00:25 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* aclocal.m4 (KRB5_LIBRARIES): Always do USE_ANAME if kdbm_deplib
		is not defined, since in shared library situations we may
		need to resolve all undefined symbols.  (We don't do
		USE_ANAME if kdbm_deplib is defined because the db library
		used for kdb may be different from the one used for the
		aname work.  This is a bit of an ugly botch, but it will
		work for now.)

Wed May 29 18:39:21 1996  Tom Yu  <tlyu@mit.edu>

	* aclocal.m4 (AC_CHECK_DBM_PROTO): sense of arguments to be
		evaluated was reversed

Mon May 20 17:56:15 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* aclocal.m4 (CHECK_DB): Remove vestigal support for ODBM.  

Tue May 14 21:56:08 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4 (AC_CHECK_DBM_PROTO): Arguments were not executed if
		using cached results.

Tue May  7 22:56:46 1996  Marc Horowitz  <marc@mit.edu>

	* aclocal.m4 (V5_AC_OUTPUT_MAKEFILE): add a second optional
 	argument to specify files besides Makefile.in which should be
 	configureified.
	* aclocal.m4 (USE_KADM_LIBRARY): removed.
	* aclocal.m4 (USE_KADMSRV_LIBRARY, USE_GSSRPC_LIBRARY,
 	USE_GSSAPI_LIBRARY, USE_DYN_LIBRARY, USE_DB_LIBRARY): added.

Tue Apr 30 23:25:07 1996  Ken Raeburn  <raeburn@cygnus.com>

	* Makefile.in (tgz-bin, pkgdir): New targets.
	(PKGDIR, GZIPPROG): New variables.

	* aclocal.m4 (WITH_NETLIB): Don't look for socket lib on Irix.

	* aclocal.m4 (MAKE_SUBDIRS): Disable hack that tries to determine
	if "-k" or "-i" was given.

Wed Apr 24 03:49:06 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4 (V5_USE_SHARED_LIB): Remove another dependency in the
		executables on the build tree.

Wed Apr 17 13:24:02 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* .Sanitize: Removed kadmin.old from list of things to keep.

Fri Mar 29 12:40:59 1996  Richard Basch  <basch@lehman.com>

	* configure.in: Added SunOS shared library support

Tue Mar 19 22:40:59 1996  Richard Basch  <basch@lehman.com>

	* configure.in: do not bother with kadmin.old

Mon Mar 18 21:33:15 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4 (KRB5_RUN_FLAGS): Allows for setting of proper paths
		for executing programs in the build tree with proper
		overriding of potentially installed libraries.

	* configure.in: Setup for KRB5_RUN_FLAGS

Fri Mar 15 01:45:54 1996  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* aclocal.m4 (V5_OUTPUT_MAKEFILE): nuke some redundant sed rules
		and also make sure that SRCTOP doesn't get a leading "./".

Thu Mar 14 02:00:10 1996  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* aclocal.m4 (V5_OUTPUT_MAKEFILE): most seds don't deal with
		"s/\(regex\)*/foo/", so use a loop instead to get rid of
		extraneous "./" occurences.  Do we want srctop and
		buildtop to have leading "./"s?  They do currently.  Is
		this a bug?

Sun Mar 10 23:49:19 1996  Mark W. Eichin  <eichin@cygnus.com>

	* aclocal.m4 (KRB5_SIGTYPE): quote the body correctly, so the test
	happens when it should.

Tue Mar 12 18:04:32 1996  Ken Raeburn  <raeburn@cygnus.com>

	* aclocal.m4 (V5_MAKE_SHARED_LIB): If the cache variables for
	selecting shared v. archive library support haven't been set,
	complain, instead of generating a broken Makefile.
	(WITH_CC): Default to value from cache, if available.  If it
	differs from name supplied on command line, complain.  When not
	using a value from the cache, verify that it's a working compiler
	before proceeding.  At end, use AC_PROG_CC to see if it's gcc
	we're using.
	(SubdirLibraryRule): Make DONE depend on Makefile.in, so it
	doesn't keep getting regenerated in the case of no object files.
	(CHECK_WAIT_TYPE): Make sure that union wait is acceptable to
	WEXITSTATUS if that macro is defined.

	* aclocal.m4 (V5_SET_TOPDIR): Don't substitute BUILDTOP, SRCTOP.
	(CONFIG_RULES): In makefile dependencies, use $(thisconfigdir).
	(V5_AC_OUTPUT_MAKEFILE): If arguments are given, treat as
	directories and build pre/Makefile/post in each.  Set
	thisconfigdir, SRCTOP, BUILDTOP separately in each directory.
	Tweak Makefile dependencies appropriately.

	* aclocal.m4 (AC_HEADER_STDARG): New macro.  Try compiling some
	sources with variadic functions; set HAVE_STDARG_H or
	HAVE_VARARGS_H, or bomb.
	* acconfig.h (HAVE_STDARG_H, HAVE_VARARGS_H): Undef.

Wed Feb 28 00:00:55 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Modify windows build procedure to include the
		gssapi/mechglue directory.

Sat Feb 24 19:07:15 1996  Theodore Y. Ts'o  <tytso@dcl>

	* configure.in: Add support for shared libraries under HPUX and
	        Sinix (SysVR4 under mips)

Wed Feb 21 23:31:09 1996  Richard Basch  <basch@lehman.com>

	* aclocal.m4:
		- Do not include build directories in the runtime libpath
		- Fixed the prefix of some cache variables (krb_ --> krb5_)

Wed Feb  7 00:22:26 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (krbsrc.mac): Folded in danw's changes to allow
		building Makefiles for the Macintosh.  We now can build
		MPW makefiles which are interpreted by CodeWarrior.

Mon Jan 22 07:55:04 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4 (KRB5_CHECK_PROTOS): Move prototype checking code
		from include/krb5. 

	* configure.in: Add in WITH_ANAME_DB and WITH_KDB_DB so that top
		level configure --help lists options.

	* aclocal.m4 (CHECK_DB): Fix m4 quoting to allow for the autoconf
		rules to insert the required CPP determination rules
		automatically. 
		(WITH_ANAME_DB): Add missing comma. Fix up spacing so
				configure --help looks pretty.

Mon Jan 15 02:35:02 1996  Mark Eichin  <eichin@cygnus.com>

	* aclocal.m4 (WITH_DBM_LNAME): add --with-dbm-lname for callers of
	an_to_ln routines that have USE_DBM_LNAME set.
	* aclocal.m4 (WITH_DBM_KDB): avoid duplicating --with-dbm code all
	over the place.

Sun Dec 17 19:53:54 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* acconfig.h: Add blank line to work around a misfeature of
		DecUnix fgrep interacting with autoheader.

Tue Dec 12 01:30:36 1995  Chris Provenzano (proven@mit.edu)

	* TODO: Done: keytab routines to access to database.
		Todo: Create a real krb5_db_context after 1.0

Tue Dec  5 20:48:56 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4 (kutil_lib): Add USE_KRB5UTIL_LIBRARY. Change
		library link order to -lkrb4 -lkrb5.

Sun Nov 12 04:40:02 1995  Mark W. Eichin  <eichin@cygnus.com>

	* Makefile.in (install-mkdirs): bash needs a semicolon between fi
	and done.

Thu Nov 09 17:04:02 1995  Chris Provenzano (proven@mit.edu)

	* TODO : Remove krb5_enctype argument from string_to_key() is done.

Thu Nov  2 16:57:45 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Added support for Linux shared libraries.

Sat Oct 21 15:03:06 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in (CONFIG_DIRS): Add config-files to list of
	directories. 

Wed Oct 11 17:23:45 1995  Sam Hartman  <hartmans@tertius.mit.edu>

	* configure.in: For all platforms, set krb5_cv_shlibs_versioned_filenames; no for AIX, yes for all others

	* aclocal.m4 (v5_make_shlib): Add ability not to make versioned archive files for AIX

Tue Oct 10 21:43:15 1995  Theodore Y. Ts'o  <tytso@dcl>

	* wconfig.c: Use win-post.in instead of post.in.

Mon Oct  9 18:58:34 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: For NetBSD turn back on shlibs_use_dirs

Fri Oct  6 00:57:25 1995  Theodore Y. Ts'o  <tytso@dcl>

	* wconfig.c: Include the file windows.in instead of pre.in

	* Makefile.in (ekrbsrc.mac): Build the list of files *after*
		building files using awk-windows-mac.

Sat Sep 30 04:34:51 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4 (DO_SUBDIRS): Add make Makefiles for broken versions
			of make.
		     (V5_MAKE_SHARED_LIB): Changes to support version
		     	     numbering and library installation.

	* configure.in: change shlib extentsion for netbsd and dirhead
		rules to allow for shared library path to be included in
		executable. 

Fri Sep 29 01:39:35 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (awk-windows-mac): Copy stock/osconf.h to osconf.h
		in include/krb5, and clean it up when we're done building
		the distribution.

Thu Sep 28 16:00:00 1995  John Rivlin  <jrivlin@fusion.com>

	* Makefile.in: Added mac/gss-sample to tar file.

Wed Sep 27 00:53:08 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Add config/windows.in to the beginning of the
		Makefile.in when we're building the Makefile.

	* Makefile.in: New scheme for building DOS and Macintosh
		distribution files; much more forgiving of random cruft in
		the source tree.

Wed Sep 27 16:00:00 1995  John Rivlin  <jrivlin@fusion.com>

	* Makefile.in: Temporarily move autoconf.h file to include
		directory while creating kerbsrc.mac tar file.

	* Makefile.in: Include telnet-k5-auth directory in download.
		Eliminate telnet directory.

Wed Sep 27 11:47:38 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (install-unix): Changed install to install-unix so
		that the installation directories are created first.

Mon Sep 25 16:32:57 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 
		(FILES): Added missing backslash at the end of one of the
		lines, missing from the Macintosh integration.

	* aclocal.m4 (MAKE_SUBDIRS, DO_SUBDIRS): MAKE_SUBDIRS now takes
		three arguments; DO_SUBDIRS now generates target rules of
		the form: "foo-unix: <for each subdirectory> make foo".
		All of the macros which generated targets "all",
		"install", "clean", etc. now generate targets "all-unix",
		"install-unix", "clean-unix".  

		This scheme allows us to do multiple-platform builds,
		while preserving ordering constraints that we need in
		order to build library subdirectories correctly.

Sun Sep 24 12:00:00 1995  John Rivlin <jrivlin@fusion.com>

	* Makefile.in: Update CLEANUP list to clean up files created
		in the include directory rather than include/krb5
		directory.  Remove mac/build directory.

Fri Sep 22 19:39:30 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Exclude the MAC and DOS tar/zip files when creating
	        the Mac tar file.  Adjust the windows NT exclusion file so
		that it works correctly; zip is a little bit touchy about
		file specifications.

	* Makefile.in (awk-windows-mac): Build the error table header
		files into include, not include/krb5; and construct krb5.h
		from krb5.hin and the error table header files.

Fri Sep 15 05:05:15 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (kerbsrc-nt.zip): Update production rule to be like
		the modified kerbsrc.zip rule.

Tue Sep 12 22:06:24 1995  John Rivlin (jrivlin@fusion.com)

	* Makefile.in: Added telnet to Mac file list

Mon Sep 11 22:06:24 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in: Update macintosh/dos file lists

Thu Aug 24 19:27:04 1995  Theodore Y. Ts'o  <tytso@dcl>

	* .Sanitize: Update file list

Tue Aug 22 18:19:39 1995    <tytso@rsts-11.mit.edu>

	* aclocal.m4 (_MAKE_SUBDIRS): Change subdir recursion so that 
		a missing subdirectory is skipped.  

Mon Aug 21 16:42:42 EDT 1995	Paul Park	(pjpark@mit.edu)

	* Makefile.in - Change mkdir to mkdir -p.

Tue Aug 15 16:19:29 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: For OSF/1 specify that the -rpath directive takes
		a colon separated path.

	* aclocal.m4 (SHLIB_RPATH_DIRS): Allow for directory path to be
		colon separated for different directories.


Tue Aug 15 01:37:19 1995  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* Makefile.in: Change some spaces back to tabs

Mon Aug  7 19:26:06 1995  Theodore Y. Ts'o  <tytso@dcl>

	* aclocal.m4 (SS_RULES): Add double quotes around "$}{*.ct"

	* aclocal.m4 (CONFIG_RULES): Add $(SHELL) to invocation of
		autoconf, so that things work even if the execute bit
		isn't set on the shell script.

Tue Jul 18 19:20:49 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4 (KRB5_SOCKADDR_SA_LEN): Add space before = to keep
		shell happy. 

Sun Jul 16 05:02:41 1995  Sam Hartman  <hartmans@tertius.mit.edu>

	* aclocal.m4 : Defined KRB5_SOCKADDR_SA_LEN, a test to determine
        if sockaddr has the sa_len field.  

Wed Jul 12 11:47:43 EDT 1995	Paul Park	(pjpark@mit.edu)
	* aclocal.m4 - Add LDFLAGS setting to KRB5_LIBRARIES.  This allows
		building without using the rule V5_USE_SHARED_LIBS.  Also,
		don't pass LDFLAGS in recursion because this overrides
		the values in individual Makefiles.

Sun Jul  9 06:15:33 1995  Tom Yu  <tlyu@lothlorien.MIT.EDU>

	* aclocal.m4: backslash '$' characters that go into double-quoted
		strings so shells that treat $(foo) like `foo` won't barf

Sun Jul  9 01:31:25 1995  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* Makefile.in: remove bogus definitions of prefix, etc.

Fri Jul 7 15:29:43 EDT 1995	Paul Park	(pjpark@mit.edu)
	* aclocal.m4 - Add ability to set LDFLAGS from --with-ldopts (I know,
		configure option doesn't coincide with make variable, but it
		corresponds to --with-ccopts).
		- Add ability to select libraries to link with from configure
		script.  This prevents us from having to change every makefile
		each time there's a library reorganization.  These macros are
		USE_{KADM,KDB5,KDB4,KRB4}_LIBRARIES and KRB5_LIBRARIES.
		Makefiles now only need to reference $(LIBS) for the list of
		libraries to link with and $(DEPLIBS) for the list of
		library dependencies.

Wed Jul  5 12:00:00 1995 James Mattly <mattly@fusion.com> 

	* Makefile.in: Added kerbsrc.mac target to facilitate easy 
	downloading pruned source tree to the Mac.

Tue Jul  4 02:11:14 1995  Tom Yu  <tlyu@lothlorien.MIT.EDU>

	* configure.in: Add support for NetBSD shared libraries.

Sun Jul  2 20:25:58 1995  Sam Hartman  <hartmans@tertius.mit.edu>

	* configure.in: For paranoid GPL reasons, don't take the Gcc test
        directly from the autoconf sources.  Instead, borrow my paraphrase
        of this test from util/configure.in.  It's slightly cleaner
        anyway.  Also, adjust AIX shared libs to work with Gcc.

Sun Jul  2 04:40:50 1995  Tom Yu  <tlyu@lothlorien.MIT.EDU>
	* aclocal.m4 (_MAKE_SUBDIRS): Fixed so that error propogates
		upward if -[ik] not specified.

	* aclocal.m4 (SubdirLibRule): don't recreate DONE if list of objs
		is null to avoid re-making lotsa stuff.
		(_MAKE_SUBDIRS): really gross sh hack for subdir
		recursion; make -[ik] should dtrt now even with broken
		makes (like Ultrix) that do sh -ce "rule".  Basically,
		throw an "if" test around the recursion line so that even
		if the -e option to sh is set by make, an error in a
		subdir below won't cause for loop to exit unless we want
		it to.

Fri Jun 30 14:26:01 EDT 1995	Paul Park	(pjpark@mit.edu)
	* aclocal.m4(V5_SHARED_LIB_OBJS) - Change explicit $(srcdir)/$*.c to
		$< so that sources which aren't in the source directory can
		get compiled correctly.

Wed Jun 28 20:13:10 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: Proper test for GCC. (based on autoconf test).  
	 	If using gcc, set shlibs_ldflag and noshlibs_ldflag
		properly for compiler. (for OSF at least - may be more
		generic). 

Wed Jun 28 17:07:08 1995  Theodore Y. Ts'o  <tytso@dcl>

	* aclocal.m4 (KRB_INCLUDE): Search the build directories before
		the source directories.  (Doesn't hurt anything, and it
		helps in a few cases of user error.)

	* configure.in: Conditionalize on the name of CC to determine
		whether to use the gcc or suncc flags for shared
		libraries.  (This is a little bit ugly; we might want to
		use a better test later on.)

Wed Jun 28 10:43:10 1995    <tytso@rsx-11.mit.edu>

	* aclocal.m4 (INSTALL_VARIABLE_HACKSRCTOP): Work around bug in
		autoconf which causes a relative path for dnl
		AC_PROG_INSTALL to be cached.  We workaround this by
		unsetting the cache variable if it contains a relative
		pathname.

Tue Jun 27 16:28:23 EDT 1995	Paul Park	(pjpark@mit.edu)
	* acconfig.h - Reinstate KRB5_PROVIDE_PROTOTYPES.  This is needed
		for compilers which recognize prototypes but don't set
		__STDC__ or _WINDOWS.

Fri Jun 23 20:14:45 1995  Sam Hartman  <hartmans@tardis.MIT.EDU>

	* aclocal.m4 (SHARED_RULE_LOCAL): Use makeshlib out of
        $(BUILDTOP)/util not $(SRCTOP)/util since it moved.

	* configure.in: Include appropriate binder option to set LIBPATH
        correctly in generated executables.

Thu Jun 22 16:15:10 1995  Tom Yu  (tlyu@dragons-lair)

	* acconfig.h: NO_NESTED_PROTOTYPES -> KRB5_NO_NESTED_PROTOTYPES;
		KRB5_PROVIDE_PROTOTYPES -> KRB5_NO_PROTOTYPES

Fri Jun 23 12:13:22 1995  Sam Hartman  <hartmans@tardis.MIT.EDU>

	* configure.in: Enable static library generation for Linux.

Fri Jun 23 11:48:04 1995  Ezra Peisach  (epeisach@kangaroo.mit.edu)

	* aclocal.m4 (V5_MAKE_SHARED_RULE) Set STEXT when not making
		shared library.
		(CONFIG_RULES): Move AC_CONST from WITH_KRB4 definition. 

Wed Jun 21 18:10:40 1995  Theodore Y. Ts'o  <tytso@dcl>

	* aclocal.m4 (V5_SET_TOPDIR): Replace AC_CONFIG_FRAGMENTS,
		AC_CONFIG_FRAGMENTS_DEFUALT, AC_SET_BUILDTOP,
		AC_CONFIG_AUX_DIR_DEFAULT with V5_SET_TOPDIR.  This sets
		up the correct variables for the top of the source tree
		and the top of the build tree.  It currently depends on
		AC_LOCALDIR being a relative pathname, but that's a safe
		assumption to make.  (And we could fix it to be more
		general if we really needed to.)

		Removed AC__CONFIG_AUX since it doesn't seem to be used at all.

Wed Jun 21 18:03:40 1995  Tom Yu  (tlyu@dragons-lair)

	* aclocal.m4: undefine AC_CONFIGF_AUX_DIR_DEFAULT before
		redefining it to avoid diversion madness

Wed Jun 21 17:38:34 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4: Add KRB5_SIGTYPE (taken from include/krb5) so that
		other applications may use defintion. 


Wed Jun 21 16:10:09 1995  Sam Hartman  <hartmans@tardis.MIT.EDU>

	* aclocal.m4 (SHARED_RULE_LOCAL): Add support for not making
        static libs.  Moves the clean and all target for shared libs in
        shared lib Makefiles into this rule instead of Makefile.in

	* configure.in: Added krb5_cv_noshlibs_ext, the extension for
        static libraries that have shared counterparts.  Also added
        krb5_cv_staticlibs_enabled, (set by the code for --enable-shared,
        not by any extra option) to determine whether static versions of
        shared libs are compiled on a per-platform basis.


 Wed Jun 21 14:57:55 1995    <tytso@rsx-11.mit.edu>

	* aclocal.m4: Removed extra blank lines and added "dnl" to the end
		of some macro definitions to get rid of extra newlines
		added at the beginning of configure scripts.

Tue Jun 20 12:23:20 1995  Tom Yu  (tlyu@dragons-lair)

	* BADSYMS: Updated after finding bugs in getsyms

Mon Jun 19 11:23:47 1995  Tom Yu  (tlyu@dragons-lair)

	* BADSYMS: list of bad symbols found in various source files;
		generated by util/getsyms

Sun Jun 18 20:57:35 1995  Theodore Y. Ts'o  <tytso@lurch.mit.edu>

	* aclocal.m4: Must protect $(FOO) with a backslash, since $(FOO)
		is specially interpreted by bash (and Korn shells).

Fri Jun 16 00:45:03 1995  Tom Yu  (tlyu@dragons-lair)

	* aclocal.m4: ARCHIVE gets a "cqv" to shut it up about the warning

	* aclocal.m4: Fix new append.out stuff to work with config.status
		properly; previously append.out was not getting sucked
		into the body of config.status.  The EXTRA_RULES macros
		are deprecated and should not be used anymore.

	* aclocal.m4: people were using AC_DIVERSION_MAKEFILE inside
		conditionals, not realizing that it would not end up
		conditionalized.  Define a new macro AC_PUSH_MAKEFILE,
		along with AC_POP_MAKEFILE, to stuff things into a tmp
		file (append.out) to unconfuse things.

Thu Jun 15 21:59:22 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* aclocal.m4 (V5_USE_SHARED_LIB): Quote arguments to test in
		case the values are blank.

Thu Jun 15 18:15:54 EDT 1995	Paul Park	(pjpark@mit.edu)
	* aclocal.m4 - Separate K4 libraries; Separate library specification
		from actual library path so we can do a dependency check
		using the DEP_<lib> and link with the library itself.
		- Add LinkFileDir(): a macro which generates a symlink in
		  another directory.
		- Figure out values for shared library parameters.
		- Add rules for building with these shared libraries.
	* configure.in - Add system-specific linker flags.

Wed Jun 14 16:51:28 1995  Tom Yu  (tlyu@dragons-lair)

	* aclocal.m4(_MAKE_SUBDIRS): revert yet again; no workaround since
		subshells inherit "-e" flag.  Ultrix sucks.

	* aclocal.m4 (_MAKE_SUBDIRS): "-@" was the wrong answer; set a
		shell variable "e" to "exit 0" and execute it after the
		make in each subdirectory

Tue Jun 13 01:44:12 1995  Tom Yu  (tlyu@dragons-lair)

	* aclocal.m4 (CopySrcHeader): do a set -x before mkdir
		_MAKE_SUBDIRS: inserted a "-@" rather than a "@" at the
		beginning of the rule; Ultrix make does /bin/sh -e
		ruleline if it's not there, and set +e doesn't work.

Sat Jun 10 08:14:22 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* acconfig.h: Removed HAS_ANSI_CONST, HAS_ANSI_VOLATILE,
		HAS_SYS_FILE, HAS_SYS_PARAM_H, TM_IN_SYS_TIME.
		include/krb5/configure.in does not check for these.

Fri Jun  9 18:01:26 1995    <tytso@rsx-11.mit.edu>

	* aclocal.m4 (CONFIG_RULES): CONFIG_RULES now contains the
		standardized autoconf macros which all configure.in files
		will include.  

		Removed WITH_KRB5ROOT, since it's no longer used.

		Change name of standardized Kerberos V4 #ifdef variable
		from KRB4 to KRB5_KRB4_COMPAT.  KRB4 was already in use in
		the POP clients.

		Added a new macro rule, DO_SUBDIRS, which includes all of
		the MAKE_SUBDIRS macros.  This makes it easier to add
		global recursive targets to the tree.

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Thu Jun  8 17:42:40 1995    <tytso@rsx-11.mit.edu>

	* Makefile.in: Remove excess definitions of prefix, exec_prefix,
		etc. (defined in config/pre.in)

Wed Jun  7 16:10:22 1995    <tytso@rsx-11.mit.edu>

	* Makefile.in (INSTALLMKDIRS): Make sure that the
		$(INSTALL_PREFIX) directory exists, not $(KRB5ROOT).

Tue Jun  6 12:38:12 1995  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in: Build the krb524 directory.

Tue May 30 18:53:56 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: removed des425 stuff for Windows.

Fri May 26 21:45:50 1995  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in: Export $(CC) for the benefit of config.guess

	* Makefile.in: Create kerbsrc-nt.zip with the right filename, and
		clean up include/krb5.h after making the Windows .zip files.

Fri May 26 15:33:12 1995 Keith Vetter (keithv@fusion.com)

	* wconfig.c: extended so it ignores lines beginning with '@'.

Fri May 26 10:16:02 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: added lib/kadm and deleted lib/krb425 from PC stuff.

Thu May 25 11:30:00 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: don't copy profile.h here but do it in include/makefile.

Tue May 23 15:39:40 1995  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Generate krb5.h from krb5.hin in awk-windows, for
		the Windows port.

		Added kerbsrc-nt.zip, which creates the zip file without
		the option to truncate the names to the MS-DOS 8.3
		convention. 

Tue May 16 03:05:30 1995  Tom Yu  (tlyu@dragons-lair)

	* aclocal.m4 (_MAKE_SUBDIRS): fix rule so that MAKEFLAGS gets
		processed correctly.

Fri May  5 01:50:08 1995  Theodore Y. Ts'o  (tytso@dcl)

	* patchlevel.h: Update patchlevel for BETA 5 release

	* Makefile.in: Remove all files in ZIPCLEANUP after building
		kerbsrc.zip.  This keeps the source directory clean after
		building a Windows source distribution.

		Remove miscellaneous targets left over from the bad old
		imake days.

Tue May  2 21:26:09 1995  Tom Yu  (tlyu@dragons-lair)

	* .rconf: copy kadmin.old as well

	* Makefile.in: nuke spurious whitespace on blank line

Sat Apr 29 14:13:45 1995  Ezra Peisach  (epeisach@kangaroo.mit.edu)

	* aclocal.m4 (WITH_KRB4): fix so configure --help looks nice.

Fri Apr 28 15:27:45 EDT 1995	Paul Park	(pjpark@mit.edu)
	* aclocal.m4 (WITH_KRB4): fix KDB4_LIB location when --with-krb4
		has a value.

Fri Apr 28 11:38:09 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: new windows gss app added to the zip target.

Thu Apr 27 18:30:00 1995  Keith Vetter <keithv@fusion.com>

	* Makefile.in: have ZIP exclude any *.zip files it finds.

Fri Apr 28 14:34:17 1995  Mark Eichin  <eichin@cygnus.com>

	* aclocal.m4 (WITH_KRB4): put AC_CONST in, since we always end up
	needing it.

Fri Apr 28 13:28:02 1995  Theodore Y. Ts'o  <tytso@dcl>

	* configure.in: Also compile the kadmin.old directory, at least
		for now.  (At some point this should be controlled by
		--enable-old-kadmin).

Fri Apr 28 09:33:52 1995  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Also remove util/profile/prof_err.[ch] after
		building kerbsrc.zip, since this also screws up the Unix
		build. 

Fri Apr 28 02:03:56 1995  Mark W. Eichin  <eichin@cygnus.com>

	* aclocal.m4 (WITH_KRB4): fix quoting in pathname case.

Thu Apr 27 23:21:08 1995  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Remove util/profile/profile.h after building
		kerbsrc.zip; this file screws up the Unix build.

Thu Apr 27 17:54:05 1995  Mark Eichin  <eichin@cygnus.com>

	* configure.in: check KRB4_LIB to know if we're building with krb4
	support enabled and thus want kadmin.v4.

Thu Apr 27 14:00:00 1995  Keith Vetter (keithv@fusion.com)

	* Makefile.in: bug fix in makeing makefile on the PC.

Thu Apr 27 15:19:34 1995  Mark Eichin  <eichin@cygnus.com>

	* aclocal.m4 (WITH_KRB4): make --with-krb4 the default, and have
	it use the included krb4 directories. If a pathname is given, use
	them instead. To disable krb4 support, use --without-krb4.

Wed Apr 27 11:00:00 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: added stuff for new directory: util/profile. This
	   affects configuring, building, cleaning and zipping.
	* Makefile.in: added ren2long target to expand 8.3 shortened names.

Wed Apr 26 14:29:03 1995  Mark Eichin  <eichin@cygnus.com>

	* aclocal.m4 (HAS_ANSI_VOLATILE): define it here for kdc and
	kadmin.old to use.

Mon Apr 24 13:30:00 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: Fixed a PC work-around for doing a touch command.

Thu Apr 20 17:55:50 1995  Mark Eichin  <eichin@cygnus.com>

	* aclocal.m4 (.ct.c): use $(RM) instead of plain rm.

Thu Apr 20 12:45:07 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: bug that makefiles were always being reconfigured.

Wed Apr 19 18:32:04 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: 
           removed need for this file to be configured on the PC.
           zipping up for PC copies makefile.in to makefile so that on
	   the PC you just need to type 'nmake' to build it.

Fri Apr 14 21:21:28 1995  Theodore Y. Ts'o  <tytso@lurch.mit.edu>

	* aclocal.m4 (_MAKE_SUBDIRS): If there is an error while making in
	        a subdirectory, abort the make in the parent directory.
	        This makes it more obvious when we have a problem in the
	        tree.

Fri Apr 14 08:23:52 1995  Theodore Y. Ts'o  (tytso@dcl)

	* aclocal.m4 (MAKE_SUBDIRS, _MAKE_SUBDIRS): Creatre new macro
		_MAKE_SUBDIRS which works like MAKE_SUBDIRS except that it
		is possible for the target name in the parent Makefile and
		the target name which should be built in each of the
		subdirectories can be different.  MAKE_SUBDIRS is now a
		special case of _MAKE_SUBDIRS.

Fri Mar 31 21:27:13 1995  Theodore Y. Ts'o  (tytso@dcl)

	* aclocal.m4: Use the local autoconf when rebuilding the configure
		script. 

Tue Mar 28 18:55:12 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in:  Fix up Mac build process somewhat.  Not complete.

Mon Mar 27 20:02:01 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: added making and zipping in windows/wintel.

Wed Mar 24 14:00:00 1995  Keith Vetter (keithv@fusion.com)

	* Makefile.in: changed zip-windows target to kerbsrc.zip, and also
	   had the windows makefile config clean up any debugging files.

Tue Mar 22 12:00:00 1995  Keith Vetter (keithv@fusion.com)

	* Makefile.in: added all-mac target.

Tue Mar 22 12:00:00 1995  Keith Vetter (keithv@fusion.com)

	* Makefile.in: zipping up for the PC now handles trees containing
	   binary files such as *.o and *.a.

Tue Mar 21 18:50:00 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: oops, missed a directory in zipping up for the PC

Tue Mar 21 18:38:12 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: more PC stuff including zipping up source commands.

Sun Mar 19 12:45:08 1995  John Gilmore  (gnu at toad.com)

	* aclocal.m4 (CHECK_STDARG):  Remove; we're just using AC_HEADER_CHECK.
	(V5_AC_OUTPUT_MAKEFILE):  Reorder the Makefile output so that it can be
	run through `sed' for the Macintosh.
	* acconfig.h:  Remove STDARG_PROTOTYPES.

Thu Mar 16 15:15:00 1995 Keith Vetter <keithv@fusion.com>

	* Makefile.in: added PC stuff so it builds the whole world.
	* wconfig.h: program to configure makefiles on the PC.
	* CHANGELOG -> CHANGES: renamed to avoid PC name conflict.

Tue Mar  7 19:49:07 1995  Mark Eichin  <eichin@cygnus.com>

	* aclocal.m4 (UsePepsy, PepsyTarget): removed, not referenced
	anywhere in the tree.
	(ISODE_INCLUDE, ISODE_DEFS): removed along with remaining
	references in the tree. --enable-isode is dead.

Wed Mar  1 16:40:23 1995  Theodore Y. Ts'o  <tytso@dcl>

	* acconfig.h: Add HAS_LABS defintiion.

	* aclocal.m4 (KRB_INCLUDE): Add $(SRCTOP)/include/krb5 so that it
		builds when the build tree != the source tree.

	* aclocal.m4, configure.in: Folded in Ezra's changes to support
		--with-netlib, for support of the SGI's.

Tue Feb 28 00:00:22 1995  John Gilmore  (gnu at toad.com)

	* aclocal.m4 (ADD_DEF):  Add -I...include/krb5 so we won't need
	pathnames to Kerberos include files in any of the #include lines
	in the source tree.

Mon Feb 13 23:39:21 1995  Theodore Y. Ts'o  (tytso@dcl)

	* aclocal.m4 (WITH_LINKER): Add a new configure production which
		allows a special linker to be specified.  Useful for
		running programs like Purify, etc.		

Thu Feb 9 15:42:00 1995 Keith Vetter (keithv@fusion.com)

	* acconfig.h: added HAS_SYS_FILE_H & HAS_SYS_PARAM_H for Windows

Thu Feb  2 21:11:24 1995  Mark Eichin  (eichin@cygnus.com)

	* aclocal.m4 (V5_AC_OUTPUT_MAKEFILE): delete pre.out,
	Makefile.out, and post.out immediately after using them, for
	cleanliness' sake.

Fri Feb  3 06:47:24 1995  Theodore Y. Ts'o  (tytso@dcl)

	* acconfig.h: Remove BITS* definitions altogether.

	* aclocal.m4:
	* configure.in: Remove ISODE defines

Fri Dec 30 17:05:12 1994  Richard Basch  (probe@tardis)

	* aclocal.m4
	  	CHECK_UTMP needs to #include <sys/types.h> for its tests

Tue Dec 27 06:10:13 1994  Richard Basch  (probe@tardis)

	* aclocal.m4
	combined KRB5_UTPID, KRB5_UTTYPE, and KRB5_UTHOST
	into CHECK_UTMP macro (and added additional checks)


Wed Nov 30 17:13:02 1994  Theodore Y. Ts'o  (tytso@dcl)

	* aclocal.m4, configure.in: Add appropriate help text for the
		--with-* and --enable-* options.  ISODE_INCLUDES should
		define KRB5_USE_ISODE if necessary.

	* acconfig.h: Add defines for KRB5_ATHENA_COMPAT and
		KRB5_KRB4_COMPAT.

Fri Nov 18 15:38:42 1994  Mark Eichin  <eichin@cygnus.com>

	* aclocal.m4 (CHECK_WAIT_TYPE, CHECK_SIGNALS, CHECK_SETJMP,
	KRB5_UTPID, KRB5_UTTYPE, KRB5_UTHOST, KRB5_UTEXIT): use
	AC_TRY_COMPILE instead of AC_TRY_LINK.
	(CHECK_FCNTL): check for 1+O_RDONLY so we aren't fooled into
	declaring it as a local variable.
	(DECLARE_SYS_ERRLIST): same thing for 1+sys_nerr.

Fri Nov 18 00:31:43 1994  Mark Eichin  <eichin@cygnus.com>

	* aclocal.m4 (ET_RULES): don't define SRCTOP, pre.in already takes
	care of it.
	(DECLARE_SYS_ERRLIST, CHECK_SIGPROCMASK, CHECK_FCNTL,
	CHECK_WAIT_TYPE, CHECK_SIGNALS, CHECK_SETJMP, HAVE_YYLINENO): add
	caching.
	(WITH_KRB5ROOT, WITH_KRB4, WITH_CC, WITH_CCOPTS, WITH_CPPOPTS):
	use AC_MSG_RESULT instead of echo.
	(KRB5_UTPID, KRB5_UTTYPE, KRB5_UTHOST, KRB5_UTEXT): new functions
	for appl/bsd and kpasswd common utmp code.
	(KRB5_POSIX_LOCKS): new functions for include/krb5 and appl/popper
	common code.
	(from epeisach.)

Fri Nov 18 00:30:19 1994  Mark Eichin  <eichin@cygnus.com>

	* aclocal.m4 (CONFIG_RULES): handle pre.in, post.in, and pass the
	rest of the arguments that autoconf needs. (from epeisach.)

Fri Nov 18 00:22:18 1994  Mark Eichin  <eichin@cygnus.com>

	* aclocal.m4 (CopySrcHeader): add clean rule (from epeisach)

Mon Nov  7 21:27:45 1994  Theodore Y. Ts'o  (tytso@dcl)

	* aclocal.m4 (CHECK_SETJMP, CHECK_SIGNALS): Added checks for POSIX
		setjmp handling and POSIX signal handling.

Wed Nov  2 20:39:14 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: We're probably not going to be building in the
		top-level directory, but even so, the CFLAGS should
		include $(DEFS).

	* aclocal.m4: Don't recursively pass the CPPOPTS makefile variable
		down to subdirectories.

	* aclocal.m4 (CONFIG_RULES, WITH_CPPOPTS): Add support for a new
		"--with-cppopts" value where you can put -DXXXXX such that
		they are found by autoconf tests that use run the
		preprocessor over header files.

Sat Oct 22 13:25:18 1994    (tytso@rsx-11)

	* aclocal.m4 (CopyHeader): Remove header file from include
		directory when doing a make clean.

Tue Oct 11 17:07:15 1994  Theodore Y. Ts'o  (tytso@dcl)

	* aclocal.m4: Make sure we do our feature tests using the CC
		options specified using CC_OPTS.

Fri Oct  7 16:38:11 1994  Theodore Y. Ts'o  (tytso@maytag)

	* aclocal.m4: If using isode we need to add -DKRB5_USE_ISODE to
		$DEFS, not KRB5_USE_ISODE!

Thu Oct  6 20:05:07 1994  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in: Add recursive "make check" target.

Mon Oct  3 22:50:07 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: make install obey $(DESTDIR)

Fri Sep 30 18:49:41 1994  Mark Eichin  (eichin@cygnus.com)

	* aclocal.m4 (CONFIG_RULES): set SHELL=/bin/sh explicitly, as per
	GCS and to deal with SGI and OSF makes. This should cover all
	Makefiles.

Thu Aug 18 02:05:14 1994  Mark Eichin  (eichin@perdiem)

	* .../*.[ch]: remove rcsid, sccsid strings; punt all RCS variable
	expansions; get rid of LIBC_SCCS. Leave the BSD sccs variables in
	comments, for historical reference.

Thu Aug  4 03:11:13 1994  Tom Yu  (tlyu@dragons-lair)

	* aclocal.m4: fixed up Krb5InstallHeaders to use INSTALL_DATA
	properly
	* Makefile.in: fix mkdir breakage for install target

Wed Jul 20 00:00:00 1994  Tom Yu  (tlyu at dragons-lair)

	* Makefile.in (in all relevant subdirs):
	* configure.in (in all relevant subdirs): changes to fix make
	install
	* aclocal.m4: make changes to look for install.sh in the right
	places

Mon Jul 11 23:32:51 1994  Tom Yu  (tlyu at dragons-lair)

	* aclocal.m4: cleaning up stuff to not echo things like "if
	foo..."

Sun Jul  3 07:46:25 1994  Tom Yu  (tlyu at dragons-lair)

	* aclocal.m4: fixing things so we don't have to bother ignoring
	errors.

Fri Jul  1 13:01:19 1994  Mark Eichin  (eichin@cygnus.com)

	* aclocal.m4: added WITH_CC for use when CONFIG_RULES isn't safe.
	added EXTRA_RULES_IN for chosing the file that the extra rules get
	appended to (particularly for lib/krb5/asn.1).
	made CONFIG_RULES use WITH_CC directly.

Fri Jul  1 02:21:51 1994  Tom Yu  (tlyu at dragons-lair)

	* aclocal.m4: fixes for dealing with new version of autoconf, in
	particular quoting and BUILDTOP

Wed Jun 29 01:36:38 1994  Tom Yu  (tlyu at dragons-lair)

	* aclocal.m4: oops... fixing some problems with the quoter.

	* aclocal.m4: added ISODE_DEFS to define KRB5_USE_ISODE if
	--enable-isode is given

Mon Jun 27 23:13:16 1994  Theodore Y. Ts'o  (tytso at tsx-11)

	* patchlevel.h: Updated to patchlevel 1.

Mon Jun 27 08:21:42 1994  Tom Yu  (tlyu at dragons-lair)

	* aclocal.m4: fixes to do sane quoting of arguments before
	recursing.  This allows options to be set with values containing
	whitespace, for instance.

	* configure.in (in all relevant subdirs): move invokations of
	CONFIG_RULES around so that they preceed anything that even
	vaguely resembles a compile test.  This is so that $CC will get
	set properly before any compile tests run.

Sat Jun 25 00:33:56 1994  Tom Yu  (tlyu at dragons-lair)

	* Makefile.in (in all relevant subdirs): make install will dtrt
	now (mostly)
	* configure.in (in all relevant subdirs): ditto

Thu Jun 23 01:13:20 1994  Tom Yu  (tlyu at dragons-lair)

	* aclocal.m4 (CONFIG_RULES): make --with-cc= dtrt and default to
	CC=cc

Wed Jun 22 16:34:46 1994  Mark Eichin  (eichin at tweedledumber.cygnus.com)

	* aclocal.m4 (CONFIG_RULES): add AC_SUBST([CC]) so that CC gets
	nailed in correctly.

Tue Jun 21 17:46:53 1994  Mark Eichin  (eichin at cygnus.com)

	* Makefile.in (in all subdirs): added CC=@CC@ to nail down the
	substitution to be sure that configuration matches build. Added
	CCOPTS to some of them so that it gets nailed in correctly too.

Tue Jun 21 02:08:27 1994  Tom Yu  (tlyu at dragons-lair)

	* Makefile.in (in all relevant subdirs): added CCOPTS=@CCOPTS@ in
	order to allow for configured default flags
	* configure.in (in all relevant subdirs): add WITH_CCOPTS
	* acloca.m4: define WITH_CCOPTS

Fri Jun 17 19:54:00 1994  Mark Eichin  (eichin at cygnus.com)

	* aclocal.m4 (MAKE_SUBDIRS): pass CCOPTS, CC in every make
	* Makefile.in: change CFLAGS = -g ... to CFALGS = $(CCOPTS) ...
	  in all Makefile.in's throughout the tree.
